//-----------------------------
//WormsHL - compteur (EurOPiUM)
//-----------------------------
// Wormshl - Groove - 14022002
//----------------------------

#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>

#include "define_hud.h"

int soundtimer=0;

DECLARE_MESSAGE( m_Time, Time );

int CHudTime :: Init( void )
{
	HOOK_MESSAGE( Time );
	m_iFlags |= HUD_ACTIVE;
	gHUD.AddHudElem( this );

	return 1;
}

int CHudTime :: MsgFunc_Time( const char *pszName, int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );
	TheTime=READ_BYTE();

	return 1;
}


int CHudTime :: Draw( float flTime )
{
/*	if (TheTime==252)
	{
		time=99;
	}
	else */if(TheTime!=250) // si on ne recoit pas 250 (debut d'un round)
	{
		if(maxtime==NULL)maxtime=TheTime; // on prend la duree d'un round
		time=TheTime;
		debut=gEngfuncs.GetClientTime()-2;
	}
	else if(debut+0.9<=gEngfuncs.GetClientTime()) // chaque seconde
	{
		time --;  // on decremente le compteur
		debut=gEngfuncs.GetClientTime();
	}

	if ( !gHUD.localplayer ) return 0;

	TheBloque = gHUD.localplayer->curstate.iuser3; //on regarde si le joueur est bloqu
	TheTeam = gHUD.localplayer->curstate.iuser4; //on recupere l'equipe du joueur

	int r,b; // suivant l'equipe, on met du bleu ou du rouge
	if (TheTeam)
	{
		r=0;
		b=255;
	}
	else
	{
		r=255;
		b=0;
	}

	int GvX, GvY;
	GvY = ScreenHeight - gHUD.m_iFontHeight - gHUD.m_iFontHeight / 2 - 4;
	int fond = gHUD.GetSpriteIndex( "fondnb" );

	GvX = ScreenWidth * 1 / 5 - 8;
	SPR_Set( gHUD.GetSprite( fond ),255, 255, 255 );
	SPR_Draw( 0, GvX, GvY+4, &gHUD.GetSpriteRect(fond));

	GvX = ScreenWidth * 2 / 5 - 8;
	SPR_Set( gHUD.GetSprite( fond ),255, 255, 255 );
	SPR_Draw( 0, GvX, GvY+4, &gHUD.GetSpriteRect(fond));

	GvX = ScreenWidth * 3 / 5 - 8;
	SPR_Set( gHUD.GetSprite( fond ),255, 255, 255 );
	SPR_Draw( 0, GvX, GvY+4, &gHUD.GetSpriteRect(fond));

	GvX = ScreenWidth * 4 / 5 - 8;
	SPR_Set( gHUD.GetSprite( fond ),255, 255, 255 );
	SPR_Draw( 0, GvX, GvY+4, &gHUD.GetSpriteRect(fond));

	FillRGBA( 6, ( ScreenHeight - gHUD.m_iFontHeight - gHUD.m_iFontHeight / 2)-8, ScreenWidth-12, gHUD.m_iFontHeight+13, r, 0, b, Gm_HUD_INTENSITE );
	//EurOPiuM - Nom de l'arme dans le hud - 19/07/02
	FillRGBA( ScreenWidth - 224, ScreenHeight - 88, 128, 32, r, 0, b, Gm_HUD_INTENSITE );

	HSPRITE Feu;
//	int xpos = ScreenWidth / 3 + gHUD.m_iFontHeight*7/4;
	int x = ScreenWidth * 2 / 5;
	int y = ScreenHeight - gHUD.m_iFontHeight - gHUD.m_iFontHeight / 2;
	int temps=time;

	if( temps < 0 )
		temps = 0;
//	if(!(temps<240&&temps>maxtime))
//	{
		if(temps<100 && temps>0)
		{
			if( TheBloque )
			{
				Feu = gHUD.GetSpriteIndex( Gm_HUD_ICON_VERT );
				SPR_Set(gHUD.GetSprite(Feu), 220,255,220);
				SPR_Draw(0, x-40, y, &gHUD.GetSpriteRect(Feu));
			}
			else
			{
				Feu = gHUD.GetSpriteIndex( Gm_HUD_ICON_ROUGE );
				SPR_Set(gHUD.GetSprite(Feu), 255,220,220);
				SPR_Draw(0, x-40, y, &gHUD.GetSpriteRect(Feu));
			}
		}	
		else
		{
			Feu = gHUD.GetSpriteIndex( Gm_HUD_ICON_ORANGE );
			SPR_Set(gHUD.GetSprite(Feu), 255,217,183);
			SPR_Draw(0, x-40, y, &gHUD.GetSpriteRect(Feu));
		}
		
		
		if( temps<100 && temps>9 )
			gHUD.DrawHudNumber( x, y, DHN_2DIGITS | DHN_DRAWZERO, time, 255, 255, 255 );
		else
		{
			gHUD.DrawHudNumber( x, y, DHN_DRAWZERO, 0, 255, 255, 255 );
			gHUD.DrawHudNumber( x+18, y, DHN_DRAWZERO, time, 255, 255, 255 );
		}
//	}
/*	else
	{
		Feu = gHUD.GetSpriteIndex( Em_HUD_ICON_CHANGE );
		SPR_Set(gHUD.GetSprite(Feu), 255,217,183);
		SPR_Draw(0, x-40, y, &gHUD.GetSpriteRect(Feu));
	}*/
	return 1;
}

