//---------------------------
//WormsHL - croise (EurOPiuM)
//---------------------------


#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>

DECLARE_MESSAGE( m_Croise, Croise );

int CHudCroise :: Init( void )
{
	HOOK_MESSAGE( Croise );
	m_iFlags |= HUD_ACTIVE;
	gHUD.AddHudElem( this );

return 1;
}

int CHudCroise :: MsgFunc_Croise( const char *pszName, int iSize, void *pbuf )
{

	BEGIN_READ( pbuf, iSize );
	TheIndex=READ_BYTE();

	return 1;
}

int CHudCroise :: Draw( float flTime )
{
	if(TheIndex>0 && TheIndex<=MAX_PLAYERS)
	{
		cl_entity_t *player = gEngfuncs.GetEntityByIndex( TheIndex );
		if(! player) return 0;

		// on affiche pas si le joueur est invisible ou mort - 21/06/02
		if(int(player->curstate.fuser1)!=255)
		{
			hud_player_info_t *pl_info = &g_PlayerInfoList[TheIndex];

			if( player->curstate.iuser4)
			{
				FillRGBA( 230, (ScreenHeight - 3.5*gHUD.m_iFontHeight), ScreenWidth-460, gHUD.m_iFontHeight+5, 0, 0, 255, 50 );
				gHUD.DrawHudNumberString( 280, (ScreenHeight - 3.5*gHUD.m_iFontHeight)+9, DHN_3DIGITS, int(player->curstate.fuser1), 255, 255, 255 );
				gHUD.DrawHudString( 260+gHUD.m_iFontHeight*2, (ScreenHeight - 3.5*gHUD.m_iFontHeight)+9, ScreenWidth/2, pl_info->name, 255, 255, 255 );
			}
			else
			{
				FillRGBA( 230, (ScreenHeight - 3.5*gHUD.m_iFontHeight), ScreenWidth-460, gHUD.m_iFontHeight+5, 255, 0, 0, 50 );
				gHUD.DrawHudNumberString( 280, (ScreenHeight - 3.5*gHUD.m_iFontHeight)+9, DHN_3DIGITS, int(player->curstate.fuser1), 255, 255, 255 );
				gHUD.DrawHudString( 260+gHUD.m_iFontHeight*2, (ScreenHeight - 3.5*gHUD.m_iFontHeight)+9, ScreenWidth/2, pl_info->name, 255, 255, 255 );
			}
		}
	}
	TheIndex=0;

	return 1;
}

//---------------------------
//WormsHL - croise (EurOPiuM)
//---------------------------
