
#include "STDIO.H"
#include "STDLIB.H"
#include "MATH.H"

#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <string.h>

DECLARE_MESSAGE( m_Dommage, Damage )
#define DMG_IMAGE_LIFE		10	// seconds that image is up

int giDmgFlags[NUM_DMG_TYPES] = 
{
	Gm_DMG_CHAUD,
	Gm_DMG_CONTACT,
	Gm_DMG_EAU,
	Gm_DMG_ECLAIR,
	Gm_DMG_EXPLOSION,
	Gm_DMG_FROID,
	Gm_DMG_RADIOACTIF
};

int CHudDommage::Init( void )
{
	HOOK_MESSAGE( Damage );
	m_bitsDamage = 0;
//	giDmgHeight = 0;
//	giDmgWidth = 0;

//	memset( m_dmg, 0, sizeof( DAMAGE_IMAGE ) * NUM_DMG_TYPES );

	gHUD.AddHudElem( this );
	return 1;
}

int CHudDommage:: MsgFunc_Damage( const char *pszName,  int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );

	fGvTemps = gEngfuncs.GetClientTime( ) + 5.0;
	iGvbitsDamage = READ_LONG( ); // Groove - 31/07/2002 - Nature du dommage.

//	UpdateTiles( gHUD.m_flTime, bitsDamage );

	return 1;
}

int CHudDommage::Draw( float flTime )
{
	int x, y;

	y = ScreenHeight - gHUD.m_iFontHeight - gHUD.m_iFontHeight / 2;
	x = 16/*ScreenWidth / 5*/;

//	if( fGvTemps && gEngfuncs.GetClientTime( ) < fGvTemps )
	{
		if( iGvbitsDamage & Gm_DMG_CHAUD )
		{
			HSPRITE GvSprite = gHUD.GetSpriteIndex( "dmg_chaud" );
			SPR_Set( gHUD.GetSprite( GvSprite ), 255, 255, 255 );
			SPR_Draw( 0, x - 40, y, &gHUD.GetSpriteRect( GvSprite ));
		}
		else if( iGvbitsDamage & Gm_DMG_CONTACT )
		{
			HSPRITE GvSprite = gHUD.GetSpriteIndex( "dmg_contact" );
			SPR_Set( gHUD.GetSprite( GvSprite ), 255, 255, 255 );
			SPR_Draw( 0, x - 40, y, &gHUD.GetSpriteRect( GvSprite ));
		}
		else if( iGvbitsDamage & Gm_DMG_EAU )
		{
			HSPRITE GvSprite = gHUD.GetSpriteIndex( "dmg_eau" );
			SPR_Set( gHUD.GetSprite( GvSprite ), 255, 255, 255 );
			SPR_Draw( 0, x - 40, y, &gHUD.GetSpriteRect( GvSprite ));
		}
		else if( iGvbitsDamage & Gm_DMG_ECLAIR )
		{
			HSPRITE GvSprite = gHUD.GetSpriteIndex( "dmg_eclair" );
			SPR_Set( gHUD.GetSprite( GvSprite ), 255, 255, 255 );
			SPR_Draw( 0, x - 40, y, &gHUD.GetSpriteRect( GvSprite ));
		}
		else if( iGvbitsDamage & Gm_DMG_EXPLOSION )
		{
			HSPRITE GvSprite = gHUD.GetSpriteIndex( "dmg_explose" );
			SPR_Set( gHUD.GetSprite( GvSprite ), 255, 255, 255 );
			SPR_Draw( 0, x - 40, y, &gHUD.GetSpriteRect( GvSprite ));
		}
		else if( iGvbitsDamage & Gm_DMG_FROID )
		{
			HSPRITE GvSprite = gHUD.GetSpriteIndex( "dmg_froid" );
			SPR_Set( gHUD.GetSprite( GvSprite ), 255, 255, 255 );
			SPR_Draw( 0, x - 40, y, &gHUD.GetSpriteRect( GvSprite ));
		}
		else//if( iGvbitsDamage & Gm_DMG_RADIOACTIF )
		{
			HSPRITE GvSprite = gHUD.GetSpriteIndex( "dmg_radioactif" );
			SPR_Set( gHUD.GetSprite( GvSprite ), 255, 255, 255 );
			SPR_Draw( 0, x - 40, y, &gHUD.GetSpriteRect( GvSprite ));
		}
	}

	return 1;
}
	/*
	m_HUD_dmg_chaud			= gHUD.GetSpriteIndex( "dmg_chaud" );
	m_HUD_dmg_contact		= gHUD.GetSpriteIndex( "dmg_contact" );
	m_HUD_dmg_eau			= gHUD.GetSpriteIndex( "dmg_eau" );
	m_HUD_dmg_eclair		= gHUD.GetSpriteIndex( "dmg_eclair" );
	m_HUD_dmg_explose		= gHUD.GetSpriteIndex( "dmg_explose" );
	m_HUD_dmg_froid			= gHUD.GetSpriteIndex( "dmg_froid" );
	m_HUD_dmg_radioactif	= gHUD.GetSpriteIndex( "dmg_radioactif" );
	*/
