#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>
#include "particles.h"

DECLARE_MESSAGE( m_Flamme, Flamme );


flamme_t tab_flamme[MAX_PARTICLES_FLAMME];

int index_courant;

int CHudFlamme :: Init( void )
{
	HOOK_MESSAGE( Flamme );
	m_iFlags |= HUD_ACTIVE;
	gHUD.AddHudElem( this );

	return 1;
}

int CHudFlamme::VidInit(void)
{
	index_courant=0;
	nombre=0;

	for(int i=0;i<MAX_PARTICLES_FLAMME;i++)
	{
		tab_flamme[i].quand=0;
		tab_flamme[i].duree=0;
		tab_flamme[i].ou.x=0;
		tab_flamme[i].ou.y=0;
		tab_flamme[i].ou.z=0;
		tab_flamme[i].gFlamme.m_fInitialized=false;
		tab_flamme[i].gFlamme.m_iParticleCount = 0;
		tab_flamme[i].gFlamme.m_pParticles = NULL;
		tab_flamme[i].gFlamme.m_pFreed = NULL;
		tab_flamme[i].gFlamme.m_flFrametime=0;
	}

	return 1;
}

const char *pszNameg;
int iSizeg;
void *pbufg ;

int CHudParticles :: MsgFunc_Flamme( const char *pszName, int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );
	tab_flamme[index_courant_flamme].quand=gEngfuncs.GetClientTime();
	tab_flamme[index_courant_flamme].duree=READ_BYTE();
	tab_flamme[index_courant_flamme].ou.x=READ_COORD();
	tab_flamme[index_courant_flamme].ou.y=READ_COORD();
	tab_flamme[index_courant_flamme].ou.z=READ_COORD()-10;
	index_courant_flamme=(index_courant_flamme+1)%MAX_PARTICLES_FLAMME;

	return 1;
}

int CHudFlamme :: Draw( float flTime )
{
	if(nombre>0)
	{
		for(int i=0;i<nombre;i++)
		{
			tab_flamme[index_courant].quand=gEngfuncs.GetClientTime();
			tab_flamme[index_courant].duree=duree[i];
			tab_flamme[index_courant].ou.x=org[i].x;
			tab_flamme[index_courant].ou.y=org[i].y;
			tab_flamme[index_courant].ou.z=org[i].z-10;
			index_courant=(index_courant+1)%MAX_PARTICLES_FLAMME;
		}
		nombre=0;
	}

	return 1;
}