#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>

#include "profil.h"

DECLARE_MESSAGE( m_Profil, Profil );

cvar_t	*p_pseudoprofil;
short PrintProfil;
char * pseudo;
bool debutpartie;

void PrintYES()
{
	PrintProfil=1;
	gHUD.enlever_crosshair();
}
void PrintNO()
{
	PrintProfil=0;
	gHUD.remettre_crosshair();
}

int CHudProfil :: Init( void )
{
	gEngfuncs.pfnAddCommand( "+wm_profil", PrintYES );
	gEngfuncs.pfnAddCommand( "-wm_profil", PrintNO );

	p_pseudoprofil = gEngfuncs.pfnRegisterVariable ( "p_pseudoprofil", "default", FCVAR_ARCHIVE );

	HOOK_MESSAGE( Profil );
	m_iFlags |= HUD_ACTIVE;
	gHUD.AddHudElem( this );

	return 1;
}

int CHudProfil::VidInit(void)
{
	pseudo = p_pseudoprofil->string;

	TheTeam=3; // mise  zero !!

	profil_initialisation( );

	debutpartie=true;

	return 1;
}

int CHudProfil :: MsgFunc_Profil( const char *pszName, int iSize, void *pbuf )
{

	BEGIN_READ( pbuf, iSize );
	TheTeam=READ_BYTE();
	TheProfil.iGvToucheCollegue=READ_BYTE();
	TheProfil.iGvNoyer=READ_BYTE();
	TheProfil.iGvTombeAllier=READ_BYTE();
	TheProfil.iGvTombeEnnemie=READ_BYTE();
	TheProfil.iGvDeathNb=READ_BYTE();
	TheProfil.iGvKillNb=READ_BYTE();
	TheProfil.iGvKillDommageMax=READ_BYTE();
	TheProfil.iGvCaissesNb=READ_BYTE();
	TheProfil.iGvBilleBocketNb=READ_BYTE();
	TheProfil.iGvBilleBocketMax=READ_BYTE();
	TheProfil.iGvStupide=READ_BYTE();
	TheProfil.iGvApocalipse=READ_BYTE();
	TheProfil.iGvDieu=READ_BYTE();
	TheProfil.iGvSatan=READ_BYTE();

	return 1;
}


int CHudProfil :: Draw( float flTime )
{
	if(debutpartie)
	{
		profil_commande();
		debutpartie=false;
	}
	if(TheTeam!=3)
	{
		TheTeam=3;
		profil_sauvegarde(TheTeam,TheProfil);
	}
	if (PrintProfil) profil_afficher();

	return 1;
}