
#ifndef vgui_wormshlMenu
#define vgui_wormshlMenu

#include "vgui_TeamFortressViewport.h"



class ColorButton : public CommandButton
{
private:
//couleur de fond	
	int		bgr,bgg,bgb,bga;
//couleur de trait
	int		fgr,fgg,fgb,fga;
//couleur de fond, lorsque l'on passe la souris dessus
	int		abgr,abgg,abgb,abga;

public:
	// Constructors

	ColorButton( const char* text,int x,int y,int wide,int tall,int fgrr,int fggg, int fgbb, int fgaa,int bgrr,int bggg, int bgbb, int bgaa,int abgrr,int abggg, int abgbb, int abgaa,bool bNoHighlight = false) : CommandButton(text,x,y,wide,tall,bNoHighlight)
	{
		fgr = fgrr;
		fgg = fggg;
		fgb	= fgbb;
		fga = fgaa;
		bgr = bgrr;
		bgg = bggg;
		bgb = bgbb;
		bga = bgaa;
		abgr = abgrr;
		abgg = abggg;
		abgb = abgbb;
		abga = abgaa;
	};

	virtual void paintBackground()
	{
		drawSetColor( bgr,bgg,bgb,bga );
		drawFilledRect(0,0,_size[0],_size[1]);

		if ( isArmed() )
		{
			drawSetColor( abgr,abgg,abgb,abga );
			drawFilledRect(0,0,_size[0],_size[1]);
		}
		drawSetColor( fgr,fgg,fgb,fga );
		drawOutlinedRect(0,0,_size[0],_size[1]);
	};

};


//================================================================
// >wormshl
// Panel that draws itself with a background color
class CTransparentColorPanel : public CTransparentPanel
{
private:
	int	m_iTransparency;
	int r,g,b;
public:
	CTransparentColorPanel(int iTrans, int x,int y,int wide,int tall,int rr, int gg, int bb) : 	CTransparentPanel(iTrans, x,y,wide,tall)
	{
		m_iTransparency = iTrans;
		r = rr;
		g = gg;
		b = bb;
	}


	virtual void paintBackground()
	{
		// Transparent rgb background
		drawSetColor( r,g,b, m_iTransparency );
		drawFilledRect(0,0,_size[0],_size[1]);
	}
};


//================================================================
// >wormshl - piv
// nouvo imagelabel permettant de changer l'image en dinamyque
class CImageLabelPiv : public CImageLabel
{
public:

	CImageLabelPiv(const char* pImageName,int x,int y ) : CImageLabel(  pImageName, x, y ){}

	void ChangeImage(const char* pImageName,int x,int y )
	{
		setContentFitted(true);
		m_pTGA = LoadTGA(pImageName);
		setImage( m_pTGA );
	}	

};


#endif