/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	arme_kamikaze.h					*
*		06122001				*
\*******************************/

#ifndef ARME_KAMIKAZE_H
#define ARME_KAMIKAZE_H

#include "define_slot.h"

#ifdef Gd_ARME_KAMIKAZE

#define Gm_KAMIKAZE_FICHIER_MODEL_P			"models/armes/p_kamikaze.mdl"
#define Gm_KAMIKAZE_FICHIER_MODEL_V			"models/armes/v_kamikaze.mdl"
#define Gm_KAMIKAZE_FICHIER_SON_ATTACK_01	"weapons/kamikaze/kamikaze1.wav"

#define Gm_KAMIKAZE_DOMMAGE					100
#define Gm_KAMIKAZE_MUNITION				1
#define Gm_KAMIKAZE_TEMPS_DEPLACEMENT		0

#define Gm_KAMIKAZE_TEMP_EXPLOSE			1.0

class GcKamikaze : public CBasePlayerWeapon
{
public:
	int GetItemInfo(ItemInfo *p);
	void Spawn( void );
	void Precache( void );
	BOOL Deploy( void );
	void Holster( void );
	void GfAttack1( void );
	void GfAttack2( void );
	void GfAttack0( void );

private:
	void GfTire1( void );
	void GfTire2( void );

	float GvTempsFDT_f;
	float GvTempsAnim_f;
	float GvTempsExplose_f;
};

enum
{
	Ga_KAMIKAZE_IDLE = 0,
	Ga_KAMIKAZE_TIRE,
	Ga_KAMIKAZE_DRAW
};

#endif
#endif // ARME_KAMIKAZE_H