/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	define_slot.h				*
*		20122001				*
\*******************************/

#ifndef Gd_DEFINE_SLOT_H
#define Gd_DEFINE_SLOT_H

// Gnral
#define Gm_MUNI_MAX 10

#define Gm_ARME_TEMPS_TIRE_MAX 1.75

#define Gm_COMETTE_ID					255

// Groove - 08032002 - Slot 0
//#define Gd_ARME_CAMERA
#ifdef Gd_ARME_CAMERA
	#define Gm_CAMERA_ID				1
	#define Gm_CAMERA_SLOT				0
	#define Gm_CAMERA_POSITION			0
	#define Gm_CAMERA_POID				-1
#endif

// Groove - 08032002 - Slot 1
#define Gd_ARME_GRAPPIN
#ifdef Gd_ARME_GRAPPIN
	#define Gm_GRAPPIN_ID				1
	#define Gm_GRAPPIN_SLOT				0
	#define Gm_GRAPPIN_POSITION			0
	#define Gm_GRAPPIN_POID				-1
#endif

#define Gd_ARME_JETPACK
#ifdef Gd_ARME_JETPACK
	#define Gm_JETPACK_ID				3
	#define Gm_JETPACK_SLOT				0
	#define Gm_JETPACK_POSITION			1
	#define Gm_JETPACK_POID				-1
#endif

#define Gd_ARME_TELEPORTEUR
#ifdef Gd_ARME_TELEPORTEUR
	#define Gm_TELEPORTEUR_ID			4
	#define Gm_TELEPORTEUR_SLOT			0
	#define Gm_TELEPORTEUR_POSITION		2
	#define Gm_TELEPORTEUR_POID			-1
#endif

#define Gd_ARME_KAMIKAZE
#ifdef Gd_ARME_KAMIKAZE
	#define Gm_KAMIKAZE_ID				5
	#define Gm_KAMIKAZE_SLOT			0
	#define Gm_KAMIKAZE_POSITION		3
	#define Gm_KAMIKAZE_POID			-1
#endif

// Groove - 08032002 - Slot 2
#define Gd_ARME_BATTE
#ifdef Gd_ARME_BATTE
	#define Gm_BATTE_ID					6
	#define Gm_BATTE_SLOT				1
	#define Gm_BATTE_POSITION			0
	#define Gm_BATTE_POID				-1
#endif

#define Gd_ARME_HACHE
#ifdef Gd_ARME_HACHE
	#define Gm_HACHE_ID					7
	#define Gm_HACHE_SLOT				1
	#define Gm_HACHE_POSITION			1
	#define Gm_HACHE_POID				-1
#endif

#define Gd_ARME_KAMEHA
#ifdef Gd_ARME_KAMEHA
	#define Gm_KAMEHA_ID				8
	#define Gm_KAMEHA_SLOT				1
	#define Gm_KAMEHA_POSITION			2
	#define Gm_KAMEHA_POID				-1
#endif

// Groove - 08032002 - Slot 3
#define Gd_ARME_FUSIL
#ifdef Gd_ARME_FUSIL
	#define Gm_FUSIL_ID					9
	#define Gm_FUSIL_SLOT				2
	#define Gm_FUSIL_POSITION			0
	#define Gm_FUSIL_POID				-1
#endif

#define Gd_ARME_SNIPE
#ifdef Gd_ARME_SNIPE
	#define Gm_SNIPE_ID					10
	#define Gm_SNIPE_SLOT				2
	#define Gm_SNIPE_POSITION			1
	#define Gm_SNIPE_POID				-1
#endif

#define Gd_ARME_MINICANON
#ifdef Gd_ARME_MINICANON
	#define Gm_MINICANON_ID				11
	#define Gm_MINICANON_SLOT			2
	#define Gm_MINICANON_POSITION		2
	#define Gm_MINICANON_POID			-1
#endif

//#define Gd_ARME_LASER
#ifdef Gd_ARME_LASER
	#define Gm_LASER_ID					12
	#define Gm_LASER_SLOT				2
	#define Gm_LASER_POSITION			3
	#define Gm_LASER_POID				-1
#endif

#define Gd_ARME_MORVE
#ifdef Gd_ARME_MORVE
	#define Gm_MORVE_ID					13
	#define Gm_MORVE_SLOT				2
	#define Gm_MORVE_POSITION			4
	#define Gm_MORVE_POID				-1
#endif

// Groove - 08032002 - Slot 4
#define Gd_ARME_BAZOOKA
#ifdef Gd_ARME_BAZOOKA
	#define Gm_BAZOOKA_ID				14
	#define Gm_BAZOOKA_SLOT				3
	#define Gm_BAZOOKA_POSITION			0
	#define Gm_BAZOOKA_POID				-1
#endif

#define Gd_ARME_MORTIER
#ifdef Gd_ARME_MORTIER
	#define Gm_MORTIER_ID				15
	#define Gm_MORTIER_SLOT				3
	#define Gm_MORTIER_POSITION			1
	#define Gm_MORTIER_POID				-1
#endif

#define Gd_ARME_PIGEON
#ifdef Gd_ARME_PIGEON
	#define Gm_PIGEON_ID				16
	#define Gm_PIGEON_SLOT				3
	#define Gm_PIGEON_POSITION			2
	#define Gm_PIGEON_POID				-1
#endif

#define Gd_ARME_PHEONIX
#ifdef Gd_ARME_PHEONIX
	#define Gm_PHEONIX_ID				17
	#define Gm_PHEONIX_SLOT				3
	#define Gm_PHEONIX_POSITION			3
	#define Gm_PHEONIX_POID				-1
#endif

#define Gd_ARME_SUPER_MOUTON
#ifdef Gd_ARME_SUPER_MOUTON
	#define Gm_SUPER_MOUTON_ID			18
	#define Gm_SUPER_MOUTON_SLOT		3
	#define Gm_SUPER_MOUTON_POSITION	5
	#define Gm_SUPER_MOUTON_POID		-1
#endif

// Groove - 08032002 - Slot 5
#define Gd_ARME_GRENADE
#ifdef Gd_ARME_GRENADE
	#define Gm_GRENADE_ID				19
	#define Gm_GRENADE_SLOT				4
	#define Gm_GRENADE_POSITION			0
	#define Gm_GRENADE_POID				-1
#endif

#define Gd_ARME_CLUSTER
#ifdef Gd_ARME_CLUSTER
	#define Gm_CLUSTER_ID				20
	#define Gm_CLUSTER_SLOT				4
	#define Gm_CLUSTER_POSITION			1
	#define Gm_CLUSTER_POID				-1
#endif

#define Gd_ARME_MOLOTOV
#ifdef Gd_ARME_MOLOTOV
	#define Gm_MOLOTOV_ID				21
	#define Gm_MOLOTOV_SLOT				4
	#define Gm_MOLOTOV_POSITION			2
	#define Gm_MOLOTOV_POID				-1
#endif

#define Gd_ARME_BANANE
#ifdef Gd_ARME_BANANE
	#define Gm_BANANE_ID				22
	#define Gm_BANANE_SLOT				4
	#define Gm_BANANE_POSITION			3
	#define Gm_BANANE_POID				-1
#endif

#define Gd_ARME_SAINTE
#ifdef Gd_ARME_SAINTE
	#define Gm_SAINTE_ID				23
	#define Gm_SAINTE_SLOT				4
	#define Gm_SAINTE_POSITION			4
	#define Gm_SAINTE_POID				-1
#endif

// Groove - 08032002 - Slot 6
#define Gd_ARME_DYNAMITE
#ifdef Gd_ARME_DYNAMITE
	#define Gm_DYNAMITE_ID				24
	#define Gm_DYNAMITE_SLOT			5
	#define Gm_DYNAMITE_POSITION		0
	#define Gm_DYNAMITE_POID			-1
#endif

#define Gd_ARME_MINE
#ifdef Gd_ARME_MINE
	#define Gm_MINE_ID					25
	#define Gm_MINE_SLOT				5
	#define Gm_MINE_POSITION			1
	#define Gm_MINE_POID				-1
#endif

#define Gd_ARME_MOUTON
#ifdef Gd_ARME_MOUTON
	#define Gm_MOUTON_ID				26
	#define Gm_MOUTON_SLOT				5
	#define Gm_MOUTON_POSITION			2
	#define Gm_MOUTON_POID				-1
#endif

// Groove - 08032002 - Slot 7
#define Gd_ARME_AIR_STRIKE
#ifdef Gd_ARME_AIR_STRIKE
	#define Gm_AIR_STRIKE_ID			27
	#define Gm_AIR_STRIKE_SLOT			6
	#define Gm_AIR_STRIKE_POSITION		0
	#define Gm_AIR_STRIKE_POID			-1
#endif

#define Gd_ARME_NAPALM
#ifdef Gd_ARME_NAPALM
	#define Gm_NAPALM_ID				28
	#define Gm_NAPALM_SLOT				6
	#define Gm_NAPALM_POSITION			1
	#define Gm_NAPALM_POID				-1
#endif

//#define Gd_ARME_HELICO
#ifdef Gd_ARME_HELICO
	#define Gm_HELICO_ID				29
	#define Gm_HELICO_SLOT				6
	#define Gm_HELICO_POSITION			2
	#define Gm_HELICO_POID				-1
#endif

// Groove - 08032002 - Slot 8
#define Gd_ARME_CROIX
#ifdef Gd_ARME_CROIX
	#define Gm_CROIX_ID					30
	#define Gm_CROIX_SLOT				7
	#define Gm_CROIX_POSITION			0
	#define Gm_CROIX_POID				-1
#endif

/*#define Gd_ARME_TRIDENT
#ifdef Gd_ARME_TRIDENT
	#define Gm_TRIDENT_ID				12
	#define Gm_TRIDENT_SLOT				3
	#define Gm_TRIDENT_POSITION			3
	#define Gm_TRIDENT_POID				-1
#endif*/

#define Gd_ARME_TRIDENT
#ifdef Gd_ARME_TRIDENT
	#define Gm_TRIDENT_ID				31
	#define Gm_TRIDENT_SLOT				7
	#define Gm_TRIDENT_POSITION			1
	#define Gm_TRIDENT_POID				-1
#endif

#endif //Gd_DEFINE_SLOT_H