/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	game.cpp					*
*		19022002				*
\*******************************/

#include "extdll.h"
#include "util.h"
#include "eiface.h"

short GvQDLightCMD_i = 0;
short GvQFlashCMD_i = 0;
short GvQDouilleCMD_i = 1;
short GvQSmokeCMD_i = 1;
short GvQTrailCMD_i = 1;
bool bGvAirAttack = true;

cvar_t	displaysoundlist = {"displaysoundlist","0"};

// multiplayer server rules
cvar_t fragsleft =		{"mp_fragsleft","0", FCVAR_SERVER | FCVAR_UNLOGGED };	  // Don't spam console/log files/users with this changing
cvar_t GvTimeLeftCMD =	{"mp_timeleft","0" , FCVAR_SERVER | FCVAR_UNLOGGED };	  // "      "

// multiplayer server rules
cvar_t teamplay	=		{"mp_teamplay","1", FCVAR_SERVER };
cvar_t fraglimit =		{"mp_fraglimit","0", FCVAR_SERVER };
cvar_t timelimit =		{"mp_timelimit","0", FCVAR_SERVER };
cvar_t friendlyfire =	{"mp_friendlyfire","1", FCVAR_SERVER };
cvar_t falldamage =		{"mp_falldamage","1", FCVAR_SERVER };
cvar_t weaponstay =		{"mp_weaponstay","0", FCVAR_SERVER };
cvar_t forcerespawn =	{"mp_forcerespawn","1", FCVAR_SERVER };
cvar_t flashlight =		{"mp_flashlight","0", FCVAR_SERVER };
cvar_t aimcrosshair =	{"mp_autocrosshair","1", FCVAR_SERVER };
cvar_t decalfrequency = {"decalfrequency","30", FCVAR_SERVER };
cvar_t teamlist =		{"mp_teamlist","Wormsred;Wormsblue", FCVAR_SERVER };
cvar_t teamoverride =	{"mp_teamoverride","1" };
cvar_t defaultteam =	{"mp_defaultteam","0" };
cvar_t allowmonsters =	{"mp_allowmonsters","0", FCVAR_SERVER };
// Groove - 04072002 - Dur d'un tour
cvar_t GvTempsTourCMD = { "wm_tourlimit", "25", FCVAR_SERVER };
// Groove - 13122001 - Commande pour le nombres de rounds pour gagner une partie
cvar_t GvRoundsCMD =	{ "wm_rounds", "-1", FCVAR_SERVER };
// Groove - 13122001 - Commande pour le nombres de points pour gagner un round
cvar_t GvPointsCMD =	{ "wm_points", "7", FCVAR_SERVER };
// Groove - 13122001 - Commande pour le nombres de points pour gagner un round
cvar_t GvBoxCMD =		{ "wm_box", "2", FCVAR_SERVER };
// Groove - 28022002 - Commande pour la probabilit de spawn d'une mine
cvar_t GvMineCMD =		{ "wm_mine", "2", FCVAR_SERVER };
// Groove - 28022002 - Commande pour la probabilit de spawn d'un baril
cvar_t GvBarilCMD =		{ "wm_baril", "2", FCVAR_SERVER };
// Groove - 28022002 - Commande pour choisir le temps avant la fin de la partie
cvar_t GvMortSubiteCMD = { "wm_subite", "3", FCVAR_SERVER };
// Groove - 24042002 - Commande pour choisir le nombre de points de vie des Worms
cvar_t GvWormVieCMD =	{ "wm_vie", "100", FCVAR_SERVER };
// Groove - 24042002 - Commande pour choisir le nombre de points de vie des Worms
cvar_t GvWormVentCMD =	{ "wm_vent", "6", FCVAR_SERVER };
// Groove - 11/08/2002 - Porter du radar
cvar_t GvRadarCMD =		{ "wm_radar_p", "1", FCVAR_SERVER };
// Groove - 11/08/2002 - Porter du radar
cvar_t GvWaterCMD =		{ "wm_water_up", "64", FCVAR_SERVER };

// Groove - 13022002 - Commande pour l'activation des armes
cvar_t GvAirStrikeOnCMD =	{ "wm_air_strike_on", "1", FCVAR_SERVER };
cvar_t GvBananeOnCMD =		{ "wm_banane_on", "1", FCVAR_SERVER };
cvar_t GvBatteOnCMD =		{ "wm_batte_on", "1", FCVAR_SERVER };
cvar_t GvBazookaOnCMD =		{ "wm_bazooka_on", "1", FCVAR_SERVER };
cvar_t GvCameraOnCMD =		{ "wm_camera_on", "1", FCVAR_SERVER };
cvar_t GvClusterOnCMD =		{ "wm_cluster_on", "1", FCVAR_SERVER };
cvar_t GvCroixOnCMD =		{ "wm_croix_on", "1", FCVAR_SERVER };
cvar_t GvDynamiteOnCMD =	{ "wm_dynamite_on", "1", FCVAR_SERVER };
cvar_t GvFusilOnCMD =		{ "wm_fusil_on", "1", FCVAR_SERVER };
cvar_t GvGrappinOnCMD =		{ "wm_grappin_on", "1", FCVAR_SERVER };
cvar_t GvGrenadeOnCMD =		{ "wm_grenade_on", "1", FCVAR_SERVER };
cvar_t GvHacheOnCMD =		{ "wm_hache_on", "1", FCVAR_SERVER };
cvar_t GvKamikazeOnCMD =	{ "wm_kamikaze_on", "1", FCVAR_SERVER };
cvar_t GvKameaOnCMD =		{ "wm_kameha_on", "1", FCVAR_SERVER };
cvar_t GvJetpackOnCMD =		{ "wm_jetpack_on", "1", FCVAR_SERVER };
cvar_t GvMineOnCMD =		{ "wm_mine_on", "1", FCVAR_SERVER };
cvar_t GvMinicanonOnCMD =	{ "wm_minicanon_on", "1", FCVAR_SERVER };
cvar_t GvMolotovOnCMD =		{ "wm_molotov_on", "1", FCVAR_SERVER };
cvar_t GvMortierOnCMD =		{ "wm_mortier_on", "1", FCVAR_SERVER };
cvar_t GvMorveOnCMD =		{ "wm_morve_on", "1", FCVAR_SERVER };
cvar_t GvMoutonOnCMD =		{ "wm_mouton_on", "1", FCVAR_SERVER };
cvar_t GvNapalmOnCMD =		{ "wm_napalm_on", "1", FCVAR_SERVER };
cvar_t GvPheonixOnCMD =		{ "wm_pheonix_on", "1", FCVAR_SERVER };
cvar_t GvPigeonOnCMD =		{ "wm_pigeon_on", "1", FCVAR_SERVER };
cvar_t GvSainteOnCMD =		{ "wm_sainte_on", "1", FCVAR_SERVER };
cvar_t GvSnipeOnCMD =		{ "wm_snipe_on", "1", FCVAR_SERVER };
cvar_t GvSuperMoutonOnCMD =	{ "wm_super_mouton_on", "1", FCVAR_SERVER };
cvar_t GvTeleporteurOnCMD =	{ "wm_teleporteur_on", "1", FCVAR_SERVER };
cvar_t GvTridentOnCMD =		{ "wm_trident_on", "1", FCVAR_SERVER };

cvar_t 	*g_psv_gravity = NULL;
cvar_t	*g_psv_aim = NULL;
cvar_t	*g_footsteps = NULL;

// Register your console variables here
// This gets called one time when the game is initialied
void GameDLLInit( void )
{
	// Register cvars here:
	g_psv_gravity = CVAR_GET_POINTER( "sv_gravity" );
	g_psv_aim = CVAR_GET_POINTER( "sv_aim" );
	g_footsteps = CVAR_GET_POINTER( "mp_footsteps" );

	CVAR_REGISTER (&displaysoundlist);

	CVAR_REGISTER (&teamplay);
	CVAR_REGISTER (&fraglimit);
	CVAR_REGISTER (&timelimit);
	CVAR_REGISTER (&fragsleft);
	CVAR_REGISTER( &GvTimeLeftCMD );

	CVAR_REGISTER (&friendlyfire);
	CVAR_REGISTER (&falldamage);
	CVAR_REGISTER (&weaponstay);
	CVAR_REGISTER (&forcerespawn);
	CVAR_REGISTER (&flashlight);
	CVAR_REGISTER (&aimcrosshair);
	CVAR_REGISTER (&decalfrequency);
	CVAR_REGISTER (&teamlist);
	CVAR_REGISTER (&teamoverride);
	CVAR_REGISTER (&defaultteam);
	CVAR_REGISTER (&allowmonsters);

    CVAR_REGISTER( &GvTempsTourCMD );
	CVAR_REGISTER( &GvRoundsCMD );
	CVAR_REGISTER( &GvPointsCMD );
	CVAR_REGISTER( &GvBoxCMD );
//	CVAR_REGISTER( &GvJumpCMD );
	CVAR_REGISTER( &GvMineCMD );
	CVAR_REGISTER( &GvBarilCMD );
	CVAR_REGISTER( &GvMortSubiteCMD );
	CVAR_REGISTER( &GvWormVieCMD );
	CVAR_REGISTER( &GvWormVentCMD );
	CVAR_REGISTER( &GvRadarCMD );
	CVAR_REGISTER( &GvWaterCMD );
	
// Groove - 13022002 - Commande pour l'activation des armes
	CVAR_REGISTER( &GvAirStrikeOnCMD );
	CVAR_REGISTER( &GvBananeOnCMD );
	CVAR_REGISTER( &GvBatteOnCMD );
	CVAR_REGISTER( &GvBazookaOnCMD );
	CVAR_REGISTER( &GvCameraOnCMD );
	CVAR_REGISTER( &GvClusterOnCMD );
	CVAR_REGISTER( &GvCroixOnCMD );
	CVAR_REGISTER( &GvDynamiteOnCMD );
	CVAR_REGISTER( &GvFusilOnCMD );
	CVAR_REGISTER( &GvGrappinOnCMD );
	CVAR_REGISTER( &GvGrenadeOnCMD );
	CVAR_REGISTER( &GvHacheOnCMD );
	CVAR_REGISTER( &GvKamikazeOnCMD );
	CVAR_REGISTER( &GvKameaOnCMD );
	CVAR_REGISTER( &GvJetpackOnCMD );
	CVAR_REGISTER( &GvMineOnCMD );
	CVAR_REGISTER( &GvMinicanonOnCMD );
	CVAR_REGISTER( &GvMolotovOnCMD );
	CVAR_REGISTER( &GvMortierOnCMD );
	CVAR_REGISTER( &GvMorveOnCMD );
	CVAR_REGISTER( &GvMoutonOnCMD );
	CVAR_REGISTER( &GvNapalmOnCMD );
	CVAR_REGISTER( &GvPigeonOnCMD );
	CVAR_REGISTER( &GvPheonixOnCMD );
	CVAR_REGISTER( &GvSainteOnCMD );
	CVAR_REGISTER( &GvSnipeOnCMD );
	CVAR_REGISTER( &GvSuperMoutonOnCMD );
	CVAR_REGISTER( &GvTeleporteurOnCMD );
	CVAR_REGISTER( &GvTridentOnCMD );
}

