/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	gamerules_mode_batte.h		*
*		25042002				*
\*******************************/

#ifndef Gd_GAMERULES_BATTE
#define Gd_GAMERULES_BATTE

class GcGamerulesBatte : public CHalfLifeTeamplay
{
	// Groove - 21112001 - spawn du joueur pr mode de jeu normale
	virtual void PlayerSpawn( CBasePlayer *pPlayer );

	// Groove - 22112001 - Indique le type de jeu en cour
	virtual short iGfGamerulesActif( void ){ return Gm_GAMERULES_BATTE; };
	// Groove - 22112001 - defini si le spawn des caisses est actif ou non
	virtual bool bGfCaisseCanSpawn( void ){ return true; };
	// Groove - 25042002 - Marque des points avec les kills
	virtual bool bGfScoreKill( void ){ return false; }
	// Groove - 25042002 - Spawn par group ou commun
	virtual bool bGfSpawnGroup( void ){ return true; }
	// Groove - 13122001 - Spawn des tombes
	virtual bool bGfTombeCanSpawn( void ){ return false; }
};

#endif // Gd_GAMERULES_BATTE
