/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	gamerules wormshl			*
*		12022002				*
\*******************************/

#define Gm_WORMSHL_VERSION "WormsHL Beta 2.1"

#define Gm_ITEM_TOMBE_BLEU		1
#define Gm_ITEM_TOMBE_ROUGE		2
#define Gm_ITEM_CAISSE_ARME		3
#define Gm_ITEM_CAISSE_MEGA		4
#define Gm_ITEM_CAISSE_OUTIL	5
#define Gm_ITEM_CAISSE_VIE		6

#define Gm_WORM_ROUGE	0
#define Gm_WORM_BLEU	1
#define Gm_WORM_VERT	2
#define Gm_WORM_DEFAUT	3

#define Gm_TOMBE_BLEU	1
#define Gm_TOMBE_ROUGE	2

#define Gm_NB_WORMS_TOTAL		1
#define Gm_NB_WORMS_PEUT_BOUGER 2

#define Gm_WORM_VIE			200
#define Gm_WORM_GRAVITE		1.0
#define Gm_WORM_VITESSE		120

#ifdef Gm_BETA_TEST
	#define Gm_SCORE_MANCHE 2
	#define Gm_MANCHE_GAGNE 2
#else
	#define Gm_SCORE_MANCHE 7
	#define Gm_MANCHE_GAGNE 2
#endif


#define Gm_SENTIR_DOMMAGE_MALADIE 15
//#define Gm_SENTIR_DOMMAGE_MORVE 5

#define Gm_EJECT_PUISSANCE 10	// Plus ne nombre est grand, moins le worm est eject lateralement
#define Gm_EJECT_HAUTEUR 5		// Plus le nombre est grand, plus le worm est eject en hauteur
#define Gm_EJECT_RAYON 7		// Plus le nombre est grand, plus le rayon de l'ejection est grand

#ifdef Gm_BETA_TEST
	#define Gm_CAISSE_PROBA 4
#else
	#define Gm_CAISSE_PROBA 4
#endif

#define Gm_CAISSE_ARME_PROBA 1
#define Gm_CAISSE_OUTIL_PROBA 1
#define Gm_CAISSE_VIE_PROBA 1
#ifdef Gm_BETA_TEST
	#define Gm_CAISSE_MEGA_PROBA 1
#else
	#define Gm_CAISSE_MEGA_PROBA 8
#endif
#define Gm_CAISSE_DEGAT 25
#define	Gm_CAISSE_HEALTH 20
#define	Gm_CAISSE_TEMPS_EXPLOSION 120

#define Gm_TPT_TEMPS_FIN_TOUR 2.0
