/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	generic_flamme.h			*
*		19072002				*
\*******************************/

#ifndef GENERIC_FLAMME_H
#define GENERIC_FLAMME_H

#define Gm_FLAMME_FICHIER_FEU_1		"sprites/jeu/feu1.spr"
#define Gm_FLAMME_FICHIER_FEU_2		"sprites/jeu/feu2.spr"
#define Gm_FLAMME_FICHIER_FEU_3		"sprites/jeu/feu3.spr"
#define Gm_FLAMME_FICHIER_SON		"ambience/feu.wav"
#define Gm_FLAMME_DOMMAGE 3

#define Gm_FLAMME_PRECISION 6
#define Gm_FLAMME_HAUTEUR_MAX 15
#define Gm_FLAMME_HAUTEUR_MINI 10

#define Gm_ESSENCE_DOMMAGE 5

class GcFlamme : public CBaseEntity
{
public:
	void Spawn( void );
	void Precache ( void );

	static GcFlamme *GfCreateFlamme( Vector GvOrigin );

private :
	void EXPORT GfVie( void );
	
	CBaseEntity *pGvEntity;

	short iGvTempsVie;
	float fGvTempsVie;
	float fGvTempsDmg;
};

#endif // GENERIC_FLAMME_H
