/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	generic_spot.h				*
*		0805002					*
\*******************************/

#ifndef GENERIC_SPOT_H
#define GENERIC_SPOT_H

#define Gm_LASER_FICHIER_SPRITE_DOT_BLEU		"sprites/jeu/dot_bleu.spr"
#define Gm_LASER_FICHIER_SPRITE_DOT_ROUGE		"sprites/jeu/dot_rouge.spr"

class CLaserSpot : public CBaseEntity
{
private:
	void Spawn( void );

	int	ObjectCaps( void ) { return FCAP_DONT_SAVE; }
public:
	void Suspend( float flSuspendTime );
	void EXPORT Revive( void );
	
	static CLaserSpot *CreateSpotRouge( void );
	static CLaserSpot *CreateSpotBleu( void );
	CBasePlayer *pPlayer;
};

#endif // GENERIC_SPOT_H