/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	hud_arme.cpp				*
*		26022002				*
\*******************************/
/*
#include "hud.h" 
#include "cl_util.h" 
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>

#include "../dlls/define_slot.h"
#include "define_hud.h"

//DECLARE_MESSAGE( m_Arme, Arme ); 

int CHudArme::Init( void )
{
	HOOK_MESSAGE( Arme ); 
	m_iFlags |= HUD_ACTIVE; 
	gHUD.AddHudElem( this );
	return 1; 
} 

int CHudArme::VidInit(void)
{
	int GvX = ScreenWidth - 224;
	int GvY = ScreenHeight - 88;

//	gHUD.localplayer = gEngfuncs.GetLocalPlayer();
	if ( !gHUD.localplayer )
		return 0;

	// Groove - 22032002 - Recupere l'equipe du joueur via delta.lst
	if( gHUD.localplayer->curstate.iuser4 )
		FillRGBA( GvX, GvY, 128, 32, Gm_HUD_COULEUR_BLEU_3P, Gm_HUD_INTENSITE );
	else
		FillRGBA( GvX, GvY, 128, 32, Gm_HUD_COULEUR_ROUGE_3P, Gm_HUD_INTENSITE );

	gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_ZGLU" ), 255, 255, 255 );
	return 1;
}

int CHudArme::MsgFunc_Arme( const char *pszName, int iSize, void *pbuf ) 
{ 
	BEGIN_READ( pbuf, iSize ); 
	GvArmeSelect = READ_BYTE( );
	return 1; 
} 

int CHudArme::Draw( float flTime ) 
{ 
	int GvX = ScreenWidth - 224;
	int GvY = ScreenHeight - 88;

//	int GvFond_i = gHUD.GetSpriteIndex( "fondarme" );
//	SPR_Set(gHUD.GetSprite( GvFond_i ),255, 255, 255);
//	SPR_Draw( 0, GvX, GvY + 4, &gHUD.GetSpriteRect( GvFond_i ));

//	gHUD.localplayer = gEngfuncs.GetLocalPlayer();
	if ( !gHUD.localplayer )
		return 0;

	// Groove - 22032002 - Recupere l'equipe du joueur via delta.lst
	if( gHUD.localplayer->curstate.iuser4 )
		FillRGBA( GvX, GvY, 128, 32, Gm_HUD_COULEUR_BLEU_3P, Gm_HUD_INTENSITE );
	else
		FillRGBA( GvX, GvY, 128, 32, Gm_HUD_COULEUR_ROUGE_3P, Gm_HUD_INTENSITE );

	switch( GvArmeSelect )
	{
	#ifdef Gd_ARME_CAMERA
		case Gm_CAMERA_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAMERA" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_GRAPPIN
		case Gm_GRAPPIN_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_GRAPPIN" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_JETPACK
		case Gm_JETPACK_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_JETPACK" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_TELEPORTEUR
		case Gm_TELEPORTEUR_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_TELEPORTEUR" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_KAMIKAZE
		case Gm_KAMIKAZE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_KAMIKAZE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_BATTE
		case Gm_BATTE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_BATTE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_HACHE
		case Gm_HACHE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_HACHE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_KAMEHA
		case Gm_KAMEHA_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_KAMEHA" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_FUSIL
		case Gm_FUSIL_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_FUSIL" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_MINICANON
		case Gm_MINICANON_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_MINICANON" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_LASER
		case Gm_LASER_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_LASER" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_SNIPE
		case Gm_SNIPE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_SNIPE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_MORVE
		case Gm_MORVE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_MORVE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_BAZOOKA
		case Gm_BAZOOKA_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_BAZOOKA" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_MORTIER
		case Gm_MORTIER_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_MORTIER" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_PIGEON
		case Gm_PIGEON_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_PIGEON" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gm_LANCE_MOUTON_ID
		case Gm_LANCE_MOUTON_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_LANCE_MOUTON" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_GRENADE
		case Gm_GRENADE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_GRENADE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_CLUSTER
		case Gm_CLUSTER_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_CLUSTER" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_MOLOTOV
		case Gm_MOLOTOV_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_MOLOTOV" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_DYNAMITE
		case Gm_DYNAMITE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_DYNAMITE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_MINE
		case Gm_MINE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_MINE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_MOUTON
		case Gm_MOUTON_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_MOUTON" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_SUPER_MOUTON
		case Gm_SUPER_MOUTON_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_SUPER_MOUTON" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_SAINTE
		case Gm_SAINTE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_SAINTE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_BANANE
		case Gm_BANANE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_BANANE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_AIR_STRIKE
		case Gm_AIR_STRIKE_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_AIR_STRIKE" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_NAPALM
		case Gm_NAPALM_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_NAPALM" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gd_ARME_CROIX
		case Gm_CROIX_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_CROIX" ), 255, 255, 255 );
			break;
	#endif
	#ifdef Gm_TRIDENT_ID
		case Gm_TRIDENT_ID :
			gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_TRIDENT" ), 255, 255, 255 );
			break;
	#endif
	default:
		gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_ZGLU" ), 255, 255, 255 );
		break;
	}
	return 1; 
} 

*/