
#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>


#include "define_hud.h"


DECLARE_MESSAGE( m_BilleBocket, BilleBocket );


int CHudBilleBocket :: Init( void )
{
	HOOK_MESSAGE( BilleBocket );
	m_iFlags |= HUD_ACTIVE;
	gHUD.AddHudElem( this );


	strcpy(BilleBocket[0].Nom,"");
	strcpy(BilleBocket[0].Attaquant,"");
	BilleBocket[0].Quand = gEngfuncs.GetClientTime()-20;
	BilleBocket[0].Force = 1;
	BilleBocket[0].Equipe = 1;
	BilleBocket[0].EquipeAttaquant = 1;
	strcpy(BilleBocket[1].Nom,"");
	strcpy(BilleBocket[1].Attaquant,"");
	BilleBocket[1].Quand = gEngfuncs.GetClientTime()-20;
	BilleBocket[1].Equipe = 1;
	BilleBocket[1].EquipeAttaquant = 1;
	strcpy(BilleBocket[2].Nom,"");
	strcpy(BilleBocket[2].Attaquant,"");
	BilleBocket[2].Quand = gEngfuncs.GetClientTime()-20;
	BilleBocket[2].Force = 1;
	BilleBocket[2].Equipe = 1;
	BilleBocket[2].EquipeAttaquant = 1;

return 1;
}

int CHudBilleBocket::VidInit(void)
{
	strcpy(BilleBocket[0].Nom,"");
	strcpy(BilleBocket[0].Attaquant,"");
	BilleBocket[0].Quand=gEngfuncs.GetClientTime()-20;
	BilleBocket[0].Force=1;
	BilleBocket[0].Equipe=1;
	BilleBocket[0].EquipeAttaquant=1;
	strcpy(BilleBocket[1].Nom,"");
	strcpy(BilleBocket[1].Attaquant,"");
	BilleBocket[1].Quand=gEngfuncs.GetClientTime()-20;
	BilleBocket[1].Force=1;
	BilleBocket[1].Equipe=1;
	BilleBocket[1].EquipeAttaquant=1;
	strcpy(BilleBocket[2].Nom,"");
	strcpy(BilleBocket[2].Attaquant,"");
	BilleBocket[2].Quand=gEngfuncs.GetClientTime()-20;
	BilleBocket[2].Force=1;
	BilleBocket[2].Equipe=1;
	BilleBocket[2].EquipeAttaquant=1;

	return 1;
}

int CHudBilleBocket :: MsgFunc_BilleBocket( const char *pszName, int iSize, void *pbuf )
{

	BEGIN_READ( pbuf, iSize );
	ThePuissance=READ_BYTE();
	TheIndex=READ_BYTE();
	TheIndexAttaquant=READ_BYTE();

	return 1;
}


int CHudBilleBocket :: Draw( float flTime )
{
	if(TheIndex>0 && TheIndex<=MAX_PLAYERS)
	{
		cl_entity_t *player = gEngfuncs.GetEntityByIndex( TheIndex );
		if(! player) return 0;
		cl_entity_t *playerattaquant = gEngfuncs.GetEntityByIndex( TheIndexAttaquant );
		if(! playerattaquant) return 0;



		strcpy(BilleBocket[0].Nom,BilleBocket[1].Nom);
		strcpy(BilleBocket[0].Attaquant,BilleBocket[1].Attaquant);
		BilleBocket[0].Quand=BilleBocket[1].Quand;
		BilleBocket[0].Force=BilleBocket[1].Force;
		BilleBocket[0].Equipe=BilleBocket[1].Equipe;
		BilleBocket[0].EquipeAttaquant=BilleBocket[1].EquipeAttaquant;
		strcpy(BilleBocket[1].Nom,BilleBocket[2].Nom);
		strcpy(BilleBocket[1].Attaquant,BilleBocket[2].Attaquant);
		BilleBocket[1].Quand=BilleBocket[2].Quand;
		BilleBocket[1].Force=BilleBocket[2].Force;
		BilleBocket[1].Equipe=BilleBocket[2].Equipe;
		BilleBocket[1].EquipeAttaquant=BilleBocket[2].EquipeAttaquant;

		
		hud_player_info_t *pl_info = &g_PlayerInfoList[TheIndex];
		strcpy(BilleBocket[2].Nom,pl_info->name);

		pl_info = &g_PlayerInfoList[TheIndexAttaquant];
		strcpy(BilleBocket[2].Attaquant,pl_info->name);

		BilleBocket[2].Quand=gEngfuncs.GetClientTime();
		BilleBocket[2].Force=ThePuissance;
		BilleBocket[2].Equipe=player->curstate.iuser4;
		BilleBocket[2].EquipeAttaquant=playerattaquant->curstate.iuser4;
	}

	TheIndex=0;

	int y=ScreenHeight/2+100;
	int i=2;
	while (i>=0 && BilleBocket[i].Quand>gEngfuncs.GetClientTime()-10)
	{
		if(BilleBocket[i].Force==2) SpriteBilleBocket=gHUD.GetSpriteIndex("billebocketgeant");
		else SpriteBilleBocket=gHUD.GetSpriteIndex("billebocketnormal");
		
		int lg_nom=strlen(BilleBocket[i].Nom)*8+18;
		int lg_attaquant=strlen(BilleBocket[i].Attaquant)*8+18;

		if(BilleBocket[i].EquipeAttaquant) FillRGBA( 6, y, lg_attaquant, 32, Gm_HUD_COULEUR_BLEU_3P, 90 );
		else FillRGBA( 6, y, lg_attaquant, 32, Gm_HUD_COULEUR_ROUGE_3P, 90 );
		SPR_Set(gHUD.GetSprite( SpriteBilleBocket ),255,255,255);
		SPR_Draw( 0, lg_attaquant+6, y, &gHUD.GetSpriteRect(SpriteBilleBocket));
		if(BilleBocket[i].Equipe) FillRGBA( lg_attaquant+38, y, lg_nom, 32, Gm_HUD_COULEUR_BLEU_3P, 90 );
		else FillRGBA( lg_attaquant+38, y, lg_nom, 32, Gm_HUD_COULEUR_ROUGE_3P, 90 );

		gHUD.DrawHudString( 15, y+7, ScreenWidth/2, BilleBocket[i].Attaquant, 255,255,255);
		gHUD.DrawHudString( lg_attaquant+47, y+7, ScreenWidth/2, BilleBocket[i].Nom, 255,255,255);
		y-=33;
		i--;
	}

	return 1;

}