/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	hud_degat.cpp				*
*		26022002				*
\*******************************/

#include "hud.h" 
#include "cl_util.h" 
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>

#include "../dlls/define_slot.h"
#include "define_hud.h"

DECLARE_MESSAGE( m_Vie, Vie ); 

int CHudVie::Init( void )
{
	HOOK_MESSAGE( Vie ); 
	m_iFlags |= HUD_ACTIVE; 
	gHUD.AddHudElem( this );
	return 1; 
} 

int CHudVie::MsgFunc_Vie( const char *pszName, int iSize, void *pbuf ) 
{ 
	BEGIN_READ( pbuf, iSize ); 
	GvViePerdu = READ_BYTE( );
	return 1; 
} 

int CHudVie::Draw( float flTime ) 
{ 
	int GvX = 96;
//	int GvY = ScreenHeight * 1 / 2 - gHUD.m_iFontHeight - gHUD.m_iFontHeight / 2;
	int GvY = ScreenHeight - 88;

	int fond = gHUD.GetSpriteIndex( "fondarme" );
	SPR_Set(gHUD.GetSprite( fond ),255, 255, 255);
	SPR_Draw( 0, GvX, GvY + 4, &gHUD.GetSpriteRect(fond));

//	gHUD.localplayer = gEngfuncs.GetLocalPlayer();
	if ( !gHUD.localplayer )
		return 0;

	short GvEquipe = localplayer->curstate.iuser4; //on recupere l'equipe du joueur

	if( GvEquipe )
		FillRGBA( GvX, GvY, 128, 32, Gm_HUD_COULEUR_BLEU_3P, Gm_HUD_INTENSITE );
	else
		FillRGBA( GvX, GvY, 128, 32, Gm_HUD_COULEUR_ROUGE_3P, Gm_HUD_INTENSITE );

	gHUD.DrawHudString( GvX + 4, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_ZGLU" ), 255, 255, 255 );
	
	return 1; 
} 

