#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>
#include "particles.h"

DECLARE_MESSAGE( m_Lanceflamme, Lanceflamme );


lanceflamme_t tab_lanceflamme[MAX_PLAYERS];

int CHudLanceflamme :: Init( void )
{
	HOOK_MESSAGE( Lanceflamme );
	m_iFlags |= HUD_ACTIVE;
	gHUD.AddHudElem( this );

	return 1;
}

int CHudLanceflamme::VidInit(void)
{
	for(int i=0;i<MAX_PLAYERS;i++)
	{
		tab_lanceflamme[i].affiche=false;
		tab_lanceflamme[i].gLanceflamme.m_fInitialized=false;
		tab_lanceflamme[i].gLanceflamme.m_iParticleCount = 0;
		tab_lanceflamme[i].gLanceflamme.m_pParticles = NULL;
		tab_lanceflamme[i].gLanceflamme.m_pFreed = NULL;
		tab_lanceflamme[i].gLanceflamme.m_flFrametime=0;
	}

	demarrage=PARTICLES_NEUTRE;

	return 1;
}

int CHudLanceflamme :: MsgFunc_Lanceflamme( const char *pszName, int iSize, void *pbuf )
{

	BEGIN_READ( pbuf, iSize );
	int temp=READ_BYTE();

	// les centaines de temp contiennent demmarrage
	// les dizaines+units, l'index du joueur
	demarrage=int(temp/100)*100;
	joueur=temp-demarrage;

	return 1;
}


int CHudLanceflamme :: Draw( float flTime )
{
	if(demarrage==PARTICLES_DEMARRAGE)
	{
		tab_lanceflamme[joueur].affiche=true;
		demarrage=PARTICLES_NEUTRE;
	}
	else if(demarrage==PARTICLES_ARRET)
	{
		tab_lanceflamme[joueur].affiche=false;
		tab_lanceflamme[joueur].gLanceflamme.m_fInitialized=false;
		tab_lanceflamme[joueur].gLanceflamme.m_iParticleCount = 0;
		tab_lanceflamme[joueur].gLanceflamme.m_pParticles = NULL;
		tab_lanceflamme[joueur].gLanceflamme.m_pFreed = NULL;
		tab_lanceflamme[joueur].gLanceflamme.m_flFrametime=0;
		demarrage=PARTICLES_NEUTRE;
	}

	return 1;
}