#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>
#include "particles.h"


lanceflamme_t tab_lanceflamme[MAX_PLAYERS];
flamme_t tab_flamme[MAX_PARTICLES_FLAMME];
sainte_t tab_sainte_explosion[MAX_PARTICLES_SAINTE_EXPLOSION];
sainte_t tab_sainte_rebond[MAX_PARTICLES_SAINTE_REBOND];
sainte_t tab_sainte_attente[MAX_PARTICLES_SAINTE_ATTENTE];
// EurOPiuM - 22/08/02 - explosions stadards
explosion_t tab_explosion[MAX_PARTICLES_EXPLOSION];


int index_courant_flamme;
int index_courant_sainte_explosion,index_courant_sainte_rebond,index_courant_sainte_attente;
// EurOPiuM - 22/08/02 - explosions stadards
int index_courant_explosion;



DECLARE_MESSAGE( m_Particles, Lanceflamme );
DECLARE_MESSAGE( m_Particles, Flamme );
DECLARE_MESSAGE( m_Particles, Sainte );
//DECLARE_MESSAGE( m_Particles, Vent );
// EurOPiuM - 22/08/02 - explosions stadards
DECLARE_MESSAGE( m_Particles, Explosion );

int CHudParticles :: Init( void )
{
	HOOK_MESSAGE( Lanceflamme );
	HOOK_MESSAGE( Flamme );
	HOOK_MESSAGE( Sainte );
//	HOOK_MESSAGE( Vent );
	// EurOPiuM - 22/08/02 - explosions stadards
	HOOK_MESSAGE( Explosion );

	m_iFlags |= HUD_ACTIVE;
	gHUD.AddHudElem( this );

	return 1;
}

int CHudParticles::VidInit(void)
{
//lanceflamme
	for(int i=0;i<MAX_PLAYERS;i++)
	{
		tab_lanceflamme[i].affiche=false;
		tab_lanceflamme[i].gLanceflamme.m_fInitialized=false;
		tab_lanceflamme[i].gLanceflamme.m_iParticleCount = 0;
		tab_lanceflamme[i].gLanceflamme.m_pParticles = NULL;
		tab_lanceflamme[i].gLanceflamme.m_pFreed = NULL;
		tab_lanceflamme[i].gLanceflamme.m_flFrametime=0;
	}
//	demarrage_lanceflamme=PARTICLES_NEUTRE;

//flamme
	for(i=0;i<MAX_PARTICLES_FLAMME;i++)
	{
		tab_flamme[i].quand=-100.0;
		tab_flamme[i].duree=0;
		tab_flamme[i].ou.x=0;
		tab_flamme[i].ou.y=0;
		tab_flamme[i].ou.z=0;
		tab_flamme[i].gFlamme.m_fInitialized=false;
		tab_flamme[i].gFlamme.m_iParticleCount = 0;
		tab_flamme[i].gFlamme.m_pParticles = NULL;
		tab_flamme[i].gFlamme.m_pFreed = NULL;
		tab_flamme[i].gFlamme.m_flFrametime=0;
	}
	index_courant_flamme=0;

//sainte
	for(i=0;i<MAX_PARTICLES_SAINTE_EXPLOSION;i++)
	{
		tab_sainte_explosion[i].quand=-100.0;
		tab_sainte_explosion[i].type=PARTICLES_NULL;
		tab_sainte_explosion[i].ou.x=0;
		tab_sainte_explosion[i].ou.y=0;
		tab_sainte_explosion[i].ou.z=0;
		tab_sainte_explosion[i].gSainte.m_fInitialized=false;
		tab_sainte_explosion[i].gSainte.m_iParticleCount = 0;
		tab_sainte_explosion[i].gSainte.m_pParticles = NULL;
		tab_sainte_explosion[i].gSainte.m_pFreed = NULL;
		tab_sainte_explosion[i].gSainte.m_flFrametime=0;
	}
	for(i=0;i<MAX_PARTICLES_SAINTE_REBOND;i++)
	{
		tab_sainte_rebond[i].quand=-100.0;
		tab_sainte_rebond[i].type=PARTICLES_NULL;
		tab_sainte_rebond[i].ou.x=0;
		tab_sainte_rebond[i].ou.y=0;
		tab_sainte_rebond[i].ou.z=0;
		tab_sainte_rebond[i].gSainte.m_fInitialized=false;
		tab_sainte_rebond[i].gSainte.m_iParticleCount = 0;
		tab_sainte_rebond[i].gSainte.m_pParticles = NULL;
		tab_sainte_rebond[i].gSainte.m_pFreed = NULL;
		tab_sainte_rebond[i].gSainte.m_flFrametime=0;
	}
	for(i=0;i<MAX_PARTICLES_SAINTE_ATTENTE;i++)
	{
		tab_sainte_attente[i].quand=-100.0;
		tab_sainte_attente[i].type=PARTICLES_NULL;
		tab_sainte_attente[i].ou.x=0;
		tab_sainte_attente[i].ou.y=0;
		tab_sainte_attente[i].ou.z=0;
		tab_sainte_attente[i].gSainte.m_fInitialized=false;
		tab_sainte_attente[i].gSainte.m_iParticleCount = 0;
		tab_sainte_attente[i].gSainte.m_pParticles = NULL;
		tab_sainte_attente[i].gSainte.m_pFreed = NULL;
		tab_sainte_attente[i].gSainte.m_flFrametime=0;
	}
	index_courant_sainte_explosion=0;
	index_courant_sainte_rebond=0;
	index_courant_sainte_attente=0;


// EurOPiuM - 22/08/02 - explosions standards

//explosion
	for(i=0;i<MAX_PARTICLES_EXPLOSION;i++)
	{
		tab_explosion[i].quand=-100.0;
		tab_explosion[i].ou.x=0;
		tab_explosion[i].ou.y=0;
		tab_explosion[i].ou.z=0;
		tab_explosion[i].puissance=0;
		tab_explosion[i].couleur=0;
		tab_explosion[i].gExplosion.m_fInitialized=false;
		tab_explosion[i].gExplosion.m_iParticleCount = 0;
		tab_explosion[i].gExplosion.m_pParticles = NULL;
		tab_explosion[i].gExplosion.m_pFreed = NULL;
		tab_explosion[i].gExplosion.m_flFrametime=0;
		tab_explosion[i].gExplosion2.m_fInitialized=false;
		tab_explosion[i].gExplosion2.m_iParticleCount = 0;
		tab_explosion[i].gExplosion2.m_pParticles = NULL;
		tab_explosion[i].gExplosion2.m_pFreed = NULL;
		tab_explosion[i].gExplosion2.m_flFrametime=0;
	}
	index_courant_explosion=0;

	return 1;
}

int CHudParticles :: MsgFunc_Lanceflamme( const char *pszName, int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );
	int joueur=READ_BYTE();

	tab_lanceflamme[joueur].affiche=!tab_lanceflamme[joueur].affiche;

	return 1;
}

//EurOPiuM - 19/08/02 - flammes infinies
// change carrement la fonction
int CHudParticles :: MsgFunc_Flamme( const char *pszName, int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );
	flamme_t flamme_temp;
	flamme_temp.quand=gEngfuncs.GetClientTime();
	int duree=READ_BYTE();
	flamme_temp.ou.x=READ_COORD();
	flamme_temp.ou.y=READ_COORD();
	flamme_temp.ou.z=READ_COORD()-10;

	if(duree==PARTICLES_FLAMME_FIN)
	{
		bool good=false;
		int t=0;
		while(t<MAX_PARTICLES_FLAMME)
		{
			if(tab_flamme[t].duree==-1 && tab_flamme[t].ou==flamme_temp.ou)
			{
				tab_flamme[t].duree=0;
				good=true;
			}
			t++;
		}
	}
	else
	{
		if(duree==PARTICLES_FLAMME_INFINI)flamme_temp.duree=-1;
		else flamme_temp.duree=duree;
		tab_flamme[index_courant_flamme]=flamme_temp;	
	}	

	index_courant_flamme=(index_courant_flamme+1)%MAX_PARTICLES_FLAMME;

	return 1;
}

int CHudParticles :: MsgFunc_Sainte( const char *pszName, int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );
	
	int typesainte=READ_BYTE();

	if(typesainte==PARTICLES_SAINTE_REBOND)
	{
		tab_sainte_rebond[index_courant_sainte_rebond].quand=gEngfuncs.GetClientTime();
		tab_sainte_rebond[index_courant_sainte_rebond].type=typesainte;
		tab_sainte_rebond[index_courant_sainte_rebond].ou.x=READ_COORD();
		tab_sainte_rebond[index_courant_sainte_rebond].ou.y=READ_COORD();
		tab_sainte_rebond[index_courant_sainte_rebond].ou.z=READ_COORD();
		index_courant_sainte_rebond=(index_courant_sainte_rebond+1)%MAX_PARTICLES_SAINTE_REBOND;
	}
	else if(typesainte==PARTICLES_SAINTE_EXPLOSION)
	{
		float org[3];
		org[1]=READ_COORD();
		org[2]=READ_COORD();
		org[3]=READ_COORD();
		tab_sainte_explosion[index_courant_sainte_explosion].quand=gEngfuncs.GetClientTime();
		tab_sainte_explosion[index_courant_sainte_explosion].type=typesainte;
		tab_sainte_explosion[index_courant_sainte_explosion].ou.x=org[1];
		tab_sainte_explosion[index_courant_sainte_explosion].ou.y=org[2];
		tab_sainte_explosion[index_courant_sainte_explosion].ou.z=org[3];
		index_courant_sainte_explosion=(index_courant_sainte_explosion+1)%MAX_PARTICLES_SAINTE_EXPLOSION;
		tab_sainte_explosion[index_courant_sainte_explosion].quand=gEngfuncs.GetClientTime();
		tab_sainte_explosion[index_courant_sainte_explosion].type=typesainte;
		tab_sainte_explosion[index_courant_sainte_explosion].ou.x=org[1];
		tab_sainte_explosion[index_courant_sainte_explosion].ou.y=org[2];
		tab_sainte_explosion[index_courant_sainte_explosion].ou.z=org[3];
		index_courant_sainte_explosion=(index_courant_sainte_explosion+1)%MAX_PARTICLES_SAINTE_EXPLOSION;
		tab_sainte_explosion[index_courant_sainte_explosion].quand=gEngfuncs.GetClientTime();
		tab_sainte_explosion[index_courant_sainte_explosion].type=typesainte;
		tab_sainte_explosion[index_courant_sainte_explosion].ou.x=org[1];
		tab_sainte_explosion[index_courant_sainte_explosion].ou.y=org[2];
		tab_sainte_explosion[index_courant_sainte_explosion].ou.z=org[3];
		index_courant_sainte_explosion=(index_courant_sainte_explosion+1)%MAX_PARTICLES_SAINTE_EXPLOSION;
		tab_sainte_explosion[index_courant_sainte_explosion].quand=gEngfuncs.GetClientTime();
		tab_sainte_explosion[index_courant_sainte_explosion].type=typesainte;
		tab_sainte_explosion[index_courant_sainte_explosion].ou.x=org[1];
		tab_sainte_explosion[index_courant_sainte_explosion].ou.y=org[2];
		tab_sainte_explosion[index_courant_sainte_explosion].ou.z=org[3];
		index_courant_sainte_explosion=(index_courant_sainte_explosion+1)%MAX_PARTICLES_SAINTE_EXPLOSION;
	}
	else if(typesainte==PARTICLES_SAINTE_ATTENTE)
	{
		tab_sainte_attente[index_courant_sainte_attente].quand=gEngfuncs.GetClientTime();
		tab_sainte_attente[index_courant_sainte_attente].type=typesainte;
		tab_sainte_attente[index_courant_sainte_attente].ou.x=READ_COORD();
		tab_sainte_attente[index_courant_sainte_attente].ou.y=READ_COORD();
		tab_sainte_attente[index_courant_sainte_attente].ou.z=READ_COORD();
		index_courant_sainte_attente=(index_courant_sainte_attente+1)%MAX_PARTICLES_SAINTE_REBOND;
	}

	return 1;
}

/*
int CHudParticles :: MsgFunc_Vent( const char *pszName, int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );

	gHUD.vent.x=READ_COORD();
	gHUD.vent.y=READ_COORD();
	gHUD.vent.z=READ_COORD();

	return 1;
}*/


// EurOPiuM - 22/08/02 - explosions standards

int CHudParticles :: MsgFunc_Explosion( const char *pszName, int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );
	tab_explosion[index_courant_explosion].quand=gEngfuncs.GetClientTime();
	tab_explosion[index_courant_explosion].puissance=READ_BYTE();
	tab_explosion[index_courant_explosion].couleur=READ_BYTE();
	tab_explosion[index_courant_explosion].ou.x=READ_COORD();
	tab_explosion[index_courant_explosion].ou.y=READ_COORD();
	tab_explosion[index_courant_explosion].ou.z=READ_COORD();
	index_courant_explosion=(index_courant_explosion+1)%MAX_PARTICLES_EXPLOSION;

	return 1;
}