//----------------------------
// WormsHL - scores (EurOPiuM)
//----------------------------

#include "hud.h" 
#include "cl_util.h" 
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>
#include "define_hud.h"

#include "../dlls/gamerules_wormshl.h"

int deja=0;
HSPRITE fond;

DECLARE_MESSAGE( m_Puissance, Puissance ); 

int CHudPuissance :: Init( void )
{
	HOOK_MESSAGE( Puissance ); 
	m_iFlags |= HUD_ACTIVE; 
	gHUD.AddHudElem( this );

	return 1; 
} 


int CHudPuissance :: MsgFunc_Puissance( const char *pszName, int iSize, void *pbuf ) 
{ 
	BEGIN_READ( pbuf, iSize ); 
	ThePuissance=READ_BYTE();
	TheCouleur=READ_BYTE();
	return 1; 
} 



int CHudPuissance :: Draw( float flTime ) 
{ 
	if( ThePuissance<=100 && (/*deja || */ThePuissance>0))
	{
		int x = ScreenWidth/2-104;
		int y = ScreenHeight*1/3;

//-----------------------------------
// COMPLETER ICI POUR LES COULEURS :
//-----------------------------------

		switch( TheCouleur )
		{
			//bleu
			case Gm_WORM_BLEU :  
				fond = gHUD.GetSpriteIndex("puissanceblue");
				break;
			//rouge
			case Gm_WORM_ROUGE :  
				fond = gHUD.GetSpriteIndex("puissancered");
				break;
			//sinon vert
			default : 
				fond = gHUD.GetSpriteIndex("puissancegreen");
				break;
		}

//-----------------------------------
//-----------------------------------

	//	FillRGBA( x, y, 208, gHUD.m_iFontHeight, FondRed, FondBlue, FondGreen, FondTransparence );
		SPR_Set( gHUD.GetSprite( fond ),255, 255, 255 );
		SPR_Draw( 0, x, y, &gHUD.GetSpriteRect( fond ));
		FillRGBA( x+4, y+4, ThePuissance*2, gHUD.m_iFontHeight-8, 255, 255, 255, Gm_HUD_INTENSITE / 2 );

		if( ThePuissance == 100 )
			gHUD.DrawHudString( x+75, y+6, ScreenWidth, "MAXIMUM", 255, 255,  255 );
		else 
		{
			gHUD.DrawHudNumberString( x+100, y+6, DHN_3DIGITS, ThePuissance, 255, 255, 255 );
			gHUD.DrawHudString( x+108, y+8, ScreenWidth, "%", 255, 255, 255 );
			
		}
	}

	return 1; 
} 
