#include "hud.h" 
#include "cl_util.h" 
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>

#include "define_hud.h"

DECLARE_MESSAGE( m_Reste, Reste ); 

int CHudReste :: Init( void )
{
	HOOK_MESSAGE( Reste ); 
	m_iFlags |= HUD_ACTIVE; 
	gHUD.AddHudElem( this );
	return 1; 
} 

int CHudReste :: MsgFunc_Reste( const char *pszName, int iSize, void *pbuf ) 
{ 
	BEGIN_READ( pbuf, iSize ); 
	TheReste=READ_BYTE();
	return 1; 
} 

// EurOPiuM - 25012002 - HUD V3
int CHudReste :: Draw( float flTime ) 
{ 
	int x = ScreenWidth * 3 / 5;
	int y = ScreenHeight - gHUD.m_iFontHeight - gHUD.m_iFontHeight / 2;

	gHUD.DrawHudNumber( x, y, DHN_DRAWZERO | DHN_2DIGITS, TheReste, 255, 255, 255 );

	HSPRITE SpriteReste = gHUD.GetSpriteIndex( Gm_HUD_ICON_PAS_JOUER );
	SPR_Set( gHUD.GetSprite(SpriteReste), 255, 255, 255);
	SPR_Draw( 0, x - 40, y, &gHUD.GetSpriteRect(SpriteReste));

	return 1; 
} 