//----------------------------
// WormsHL - scores (EurOPiuM)
//----------------------------
// Wormshl - Groove - 14022002
//----------------------------

#include "hud.h"
#include "cl_util.h"
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>

#include "define_hud.h"

DECLARE_MESSAGE( m_Score, Score );

int CHudScore :: Init( void )
{
	HOOK_MESSAGE( Score );
	m_iFlags |= HUD_ACTIVE;
	gHUD.AddHudElem( this );

	return 1;
}

int CHudScore :: MsgFunc_Score( const char *pszName, int iSize, void *pbuf )
{
	BEGIN_READ( pbuf, iSize );
	iGvScoreRougePoint = READ_BYTE( );
	iGvScoreBleuPoint = READ_BYTE( );
	iGvScoreRougeManche = READ_BYTE( );
	iGvScoreBleuManche = READ_BYTE( );

	return 1;
}

int CHudScore :: Draw( float flTime )
{
	int x = ScreenWidth - 88;
	int y = ScreenHeight - 125;

	// Groove - 08032002 - Fond pour les scores
	FillRGBA( ScreenWidth - 96, ScreenHeight - 128, 90, 36, Gm_HUD_COULEUR_ROUGE_3P, Gm_HUD_INTENSITE );
	FillRGBA( ScreenWidth - 96, ScreenHeight - 92, 90, 36, Gm_HUD_COULEUR_BLEU_3P, Gm_HUD_INTENSITE );

	//nb rounds dans la manche
	gHUD.DrawHudNumber( x, y, DHN_DRAWZERO , iGvScoreRougePoint, 255, 255, 255 );
	gHUD.DrawHudNumber( x, y+37, DHN_DRAWZERO, iGvScoreBleuPoint,255, 255, 255);
	
	// |
	FillRGBA( x + 46, y, 2, 67, 255, 255, 255, Gm_HUD_INTENSITE );

	//nb manches dans le match
	gHUD.DrawHudNumber( x+56, y, DHN_DRAWZERO  , iGvScoreRougeManche, 255, 255, 255 );
	gHUD.DrawHudNumber( x+56, y+37, DHN_DRAWZERO , iGvScoreBleuManche,255, 255, 255 );

	return 1;

}