#include "hud.h" 
#include "cl_util.h" 
#include "parsemsg.h"
#include <stdio.h>
#include <string.h>
#include "define_hud.h"


#include "../dlls/gamerules_wormshl.h"
#include "../dlls/client_msg.h"

// EurOPiuM - hud help - 15/07/02
// on ajoute ces variables + fonctions
short PrintHudhelp;
void PrintHudhelpYES() {PrintHudhelp=1;}
void PrintHudhelpNO() {PrintHudhelp=0;}



DECLARE_MESSAGE( m_Victoire, Victoire ); 

int CHudVictoire :: Init( void )
{
	// EurOPiuM - hud help - 15/07/02
	// on ajoute ces commandes
	gEngfuncs.pfnAddCommand( "+wm_hud_help", PrintHudhelpYES );
	gEngfuncs.pfnAddCommand( "-wm_hud_help", PrintHudhelpNO );


	HOOK_MESSAGE( Victoire ); 
	m_iFlags |= HUD_ACTIVE; 
	gHUD.AddHudElem( this );
	
	return 1; 
} 

int CHudVictoire :: VidInit( void )
{
	return 1;
}

int CHudVictoire :: MsgFunc_Victoire( const char *pszName, int iSize, void *pbuf ) 
{ 
	BEGIN_READ( pbuf, iSize ); 
	TheTeam=READ_BYTE();
	Time = gEngfuncs.GetClientTime( );

	return 1; 
} 

int CHudVictoire :: Draw( float flTime ) 
{ 
	if( TheTeam )
	{
		Team = TheTeam;
		if( !Time )
			Time = gEngfuncs.GetClientTime( );
	}

	if( gEngfuncs.GetClientTime() < Time + 5.0 )
	{
		char *GvMsg = "";
		int GvPosX = 0;

		int GvResolution = int( ScreenWidth / 256 );
		int fond = gHUD.GetSpriteIndex( "fondmsg" );
		SPR_Set( gHUD.GetSprite( fond ),255, 255, 255 );

		for( short I = 0; I < ( GvResolution + 1 ); I++ )
			SPR_Draw( 0, I*256, 4, &gHUD.GetSpriteRect(fond));
		
		if( gHUD.localplayer->curstate.iuser4 ) // Groove - 30042002 - Equipe bleu
			FillRGBA( 0, 0, ScreenWidth, 32, Gm_HUD_COULEUR_BLEU_3P, Gm_HUD_INTENSITE );		
		else // Groove - 30042002 - Equipe Rouge
			FillRGBA( 0, 0, ScreenWidth, 32, Gm_HUD_COULEUR_ROUGE_3P, Gm_HUD_INTENSITE );
			
		switch( Team )
		{
			case Gm_WORM_ROUGE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_VICTOIRE_ROUGE" );
				break;
			case Gm_WORM_BLEU :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_VICTOIRE_BLEU" );
				break;
			case Gm_MSG_WORM_ROUGE_VIC :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_VICTOIRE_ROUGE_MATCH" );
				break;
			case Gm_MSG_WORM_BLEU_VIC :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_VICTOIRE_BLEU_MATCH" );
				break;
			case Gm_MSG_ROUGE_MORT_01 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_MORT_01" );
				break;
			case Gm_MSG_ROUGE_MORT_02 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_MORT_02" );
				break;
			case Gm_MSG_ROUGE_MORT_03 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_MORT_03" );
				break;
			case Gm_MSG_ROUGE_MORT_04 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_MORT_04" );
				break;
			case Gm_MSG_ROUGE_MORT_05 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_MORT_05" );
				break;
			case Gm_MSG_ROUGE_MORT_06 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_MORT_06" );
				break;
			case Gm_MSG_ROUGE_MORT_07 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_MORT_07" );
				break;
			case Gm_MSG_BLEU_MORT_01 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_MORT_01" );
				break;
			case Gm_MSG_BLEU_MORT_02 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_MORT_02" );
				break;
			case Gm_MSG_BLEU_MORT_03 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_MORT_03" );
				break;
			case Gm_MSG_BLEU_MORT_04 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_MORT_04" );
				break;
			case Gm_MSG_BLEU_MORT_05 :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_MORT_05" );
				break;
			case Gm_MSG_BLEU_MORT_06 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_MORT_06" );
				break;
			case Gm_MSG_BLEU_MORT_07 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_MORT_07" );
				break;
			case Gm_MSG_ROUGE_NAGE_01 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_NAGE_01" );
				break;
			case Gm_MSG_ROUGE_NAGE_02 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_NAGE_02" );
				break;
			case Gm_MSG_ROUGE_NAGE_03 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_NAGE_03" );
				break;
			case Gm_MSG_ROUGE_NAGE_04 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_NAGE_04" );
				break;
			case Gm_MSG_BLEU_NAGE_01 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_NAGE_01" );
				break;
			case Gm_MSG_BLEU_NAGE_02 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_NAGE_02" );
				break;
			case Gm_MSG_BLEU_NAGE_03 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_NAGE_03" );
				break;
			case Gm_MSG_BLEU_NAGE_04 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_NAGE_04" );
				break;
			case Gm_MSG_ROUGE_STUPIDE_01 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_STUPIDE_01" );
				break;
			case Gm_MSG_ROUGE_STUPIDE_02 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_STUPIDE_02" );
				break;
			case Gm_MSG_ROUGE_STUPIDE_03 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_STUPIDE_03" );
				break;
			case Gm_MSG_ROUGE_STUPIDE_04 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_STUPIDE_04" );
				break;
			case Gm_MSG_BLEU_STUPIDE_01 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_STUPIDE_01" );
				break;
			case Gm_MSG_BLEU_STUPIDE_02 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_STUPIDE_02" );
				break;
			case Gm_MSG_BLEU_STUPIDE_03 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_STUPIDE_03" );
				break;
			case Gm_MSG_BLEU_STUPIDE_04 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_STUPIDE_04" );
				break;
			case Gm_MSG_BLEU_TOMBE_BLEU_01 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_TOMBE_BLEU_01" );
				break;
			case Gm_MSG_BLEU_TOMBE_ROUGE_01 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BLEU_TOMBE_ROUGE_01" );
				break;
			case Gm_MSG_ROUGE_TOMBE_ROUGE_01 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_TOMBE_ROUGE_01" );
				break;
			case Gm_MSG_ROUGE_TOMBE_BLEU_01 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ROUGE_TOMBE_BLEU_01" );
				break;
			case Gm_MSG_CAISSE_MEGA_COMETTE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_MEGA_COMETTE" );
				break;
			case Gm_MSG_CAISSE_MEGA_MINE_1 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_MEGA_MINE_1" );
				break;
			case Gm_MSG_CAISSE_MEGA_MINE_3 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_MEGA_MINE_3" );
				break;
			case Gm_MSG_CAISSE_MEGA_MINE_5 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_MEGA_MINE_5" );
				break;
			case Gm_MSG_CAISSE_MEGA_BARIL_1 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_MEGA_BARIL_1" );
				break;
			case Gm_MSG_CAISSE_MEGA_BARIL_3 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_MEGA_BARIL_3" );
				break;
			case Gm_MSG_CAISSE_MEGA_BARIL_5 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_MEGA_BARIL_5" );
				break;
			case Gm_MSG_CAISSE_MEGA_MORT_SUBITE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_MORT_SUBITE" );
				break;
			case Gm_MSG_CAISSE_MEGA_MORT_SUBITE_TEAM :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_MORT_SUBITE_TEAM" );
				break;
			case Gm_MSG_CAISSE_MEGA_BENEDICTION :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BENEDICTION_DIVINE" );
				break;
			case Gm_MSG_CAISSE_MEGA_BENEDICTION_TEAM :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BENEDICTION_DIVINE_TEAM" );
				break;
/*			case Gm_MSG_CAISSE_AIR_STRIKE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_AIR_STRIKE" );
				break;
			case Gm_MSG_CAISSE_BANANE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BANANE" );
				break;
			case Gm_MSG_CAISSE_BATTE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BATTE" );
				break;
			case Gm_MSG_CAISSE_BAZOOKA :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_BAZOOKA" );
				break;
			case Gm_MSG_CAISSE_CLUSTER :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CLUSTER" );
				break;
			case Gm_MSG_CAISSE_CAMERA :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAMERA" );
				break;
			case Gm_MSG_CAISSE_CROIX :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CROIX" );
				break;
			case Gm_MSG_CAISSE_DYNAMITE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_DYNAMITE" );
				break;
			case Gm_MSG_CAISSE_FUSIL :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_FUSIL" );
				break;
			case Gm_MSG_CAISSE_GRAPPIN :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_GRAPPIN" );
				break;
			case Gm_MSG_CAISSE_GRENADE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_GRENADE" );
				break;
			case Gm_MSG_CAISSE_HACHE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_HACHE" );
				break;
			case Gm_MSG_CAISSE_HELICO :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_HELICO" );
				break;
			case Gm_MSG_CAISSE_KAMEHA :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_KAMEHA" );
				break;
			case Gm_MSG_CAISSE_JETPACK :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_JETPACK" );
				break;
			case Gm_MSG_CAISSE_KAMIKAZE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_KAMIKAZE" );
				break;
			case Gm_MSG_CAISSE_MINE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_MINE" );
				break;
			case Gm_MSG_CAISSE_MINICANON :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_MINICANON" );
				break;
			case Gm_MSG_CAISSE_MOLOTOV :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_MOLOTOV" );
				break;
			case Gm_MSG_CAISSE_MORTIER :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_MORTIER" );
				break;
			case Gm_MSG_CAISSE_MOUTON :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_MOUTON" );
				break;
			case Gm_MSG_CAISSE_NAPALM :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_NAPALM" );
				break;
			case Gm_MSG_CAISSE_PIGEON :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_PIGEON" );
				break;
			case Gm_MSG_CAISSE_SAINTE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_SAINTE" );
				break;
			case Gm_MSG_CAISSE_SNIPE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_SNIPE" );
				break;
			case Gm_MSG_CAISSE_SUPER_MOUTON :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_SUPER_MOUTON" );
				break;
			case Gm_MSG_CAISSE_TELEPORTEUR :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_TELEPORTEUR" );
				break;
			case Gm_MSG_CAISSE_TRIDENT :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_TRIDENT" );
				break;*/
			case Gm_MSG_CAISSE_VIE_025 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_VIE_025" );
				break;
			case Gm_MSG_CAISSE_VIE_050 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_VIE_050" );
				break;
			case Gm_MSG_CAISSE_VIE_100 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_VIE_100" );
				break;
			case Gm_MSG_CAISSE_OUTIL_INVISIBLE :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_OUTIL_INVISIBLE" );
				break;
			case Gm_MSG_CAISSE_OUTIL_DOMMAGE_2X :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_OUTIL_DOMMAGE_2X" );
				break;
			case Gm_MSG_CAISSE_OUTIL_DOMMAGE_3X :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_OUTIL_DOMMAGE_3X" );
				break;
			case Gm_MSG_CAISSE_OUTIL_LASER :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_OUTIL_LASER" );
				break;
			case Gm_MSG_CAISSE_OUTIL_GRAVITE_1 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_OUTIL_GRAVITE_1" );
				break;
			case Gm_MSG_CAISSE_OUTIL_GRAVITE_2 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_OUTIL_GRAVITE_2" );
				break;
			case Gm_MSG_CAISSE_OUTIL_VITESSE_1 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_OUTIL_VITESSE_1" );
				break;
			case Gm_MSG_CAISSE_OUTIL_VITESSE_2 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_CAISSE_OUTIL_VITESSE_2" );
				break;
			case Gm_MSG_ARME_GRENADE_TEMPS_1 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ARME_GRENADE_TEMPS_1" );
				break;
			case Gm_MSG_ARME_GRENADE_TEMPS_2 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ARME_GRENADE_TEMPS_2" );
				break;
			case Gm_MSG_ARME_GRENADE_TEMPS_3 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ARME_GRENADE_TEMPS_3" );
				break;
			case Gm_MSG_ARME_GRENADE_TEMPS_4 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ARME_GRENADE_TEMPS_4" );
				break;
			case Gm_MSG_ARME_GRENADE_TEMPS_5 :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ARME_GRENADE_TEMPS_5" );
				break;
			// EurOPiuM - hud help - 15/07/02
			// plus besoin du case -> on vire !
			/*case Gm_MSG_HUD_HELP :
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_HUD_HELP_MSG" );
				GfHudHelp( );
				break;*/
			default :	
				GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_ZGLU" );
				break;
		}

		// Groove - 30042002 - 10, largeur supose d'un caractre.
		GvPosX = ( ScreenWidth / 2 ) - 10 * ( strlen( GvMsg ) / 2 );
		gHUD.DrawHudString( GvPosX, 6, ScreenWidth, GvMsg, 255, 255, 255 );
	}
	else
	{
		Time = 0;
		TheTeam = 0;
	}


	// EurOPiuM - hud help - 15/07/02
	// on ajoute ce bout de code !
	if(PrintHudhelp) GfHudHelp();

	return 1; 
}


// EurOPiuM - hud help - 15/07/02
// change cette fonction !
void CHudVictoire :: GfHudHelp( void ) 
{
	int fond = gHUD.GetSpriteIndex( "fondmsg" );
	SPR_Set( gHUD.GetSprite( fond ), 255, 255, 255 );

	int GvResolution = int( ScreenWidth / 256 );
	char *GvMsg = CHudTextMessage::BufferedLocaliseTextString( "#MSG_HUD_HELP_MSG" );
	for( short I = 0; I < ( GvResolution + 1 ); I++ )
		SPR_Draw( 0, I*256, 4, &gHUD.GetSpriteRect(fond));
	FillRGBA( 0, 0, ScreenWidth, 32, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );		
	gHUD.DrawHudString( ( ScreenWidth / 2 ) - 10 * ( strlen( GvMsg ) / 2 ), 6, ScreenWidth, GvMsg, 255, 255, 255 );
	

	int GvX = 0;
	int GvY = ScreenHeight - 384;
	SPR_Draw( 0, GvX, GvY + 4, &gHUD.GetSpriteRect( fond ));
	FillRGBA( 20, GvY + 32, 4, 248, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	FillRGBA( GvX, GvY, 256, 32, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	gHUD.DrawHudString( GvX+10, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_HUD_HELP_DOMMAGE" ), 255, 255, 255 );

	GvX = ScreenWidth * 1 / 5;
	GvY = ScreenHeight - 240;	
	FillRGBA( GvX, GvY + 32, 4, 152, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	SPR_Draw( 0, GvX - 128, GvY + 4, &gHUD.GetSpriteRect( fond ));
	FillRGBA( GvX - 128, GvY, 256, 32, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	gHUD.DrawHudString( GvX - 118, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_HUD_HELP_ICON_VIE" ), 255, 255, 255 );

	GvX = ScreenWidth * 2 / 5;
	GvY = ScreenHeight - 288;
	FillRGBA( GvX, GvY + 32, 4, 200, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	SPR_Draw( 0, GvX - 128, GvY + 4, &gHUD.GetSpriteRect( fond ));
	FillRGBA( GvX - 128, GvY, 256, 32, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	gHUD.DrawHudString( GvX - 118, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_HUD_HELP_ICON_TEMPS" ), 255, 255, 255 );

	GvX = ScreenWidth * 3 / 5;
	GvY = ScreenHeight - 336;
	SPR_Draw( 0, GvX - 128, GvY + 4, &gHUD.GetSpriteRect( fond ));
	FillRGBA( GvX, GvY + 32, 4, 248, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	FillRGBA( GvX - 128, GvY, 256, 32, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	gHUD.DrawHudString( GvX - 118, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_HUD_HELP_ICON_RESTE" ), 255, 255, 255 );

	GvX = ScreenWidth * 4 / 5;
	GvY = ScreenHeight - 384;
	SPR_Draw( 0, GvX - 192, GvY + 4, &gHUD.GetSpriteRect( fond ));
	FillRGBA( GvX, GvY + 32, 4, 298, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	FillRGBA( GvX - 192, GvY, 256, 32, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	gHUD.DrawHudString( GvX - 182, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_HUD_HELP_ICON_MUNITION" ), 255, 255, 255 );

	GvX = ScreenWidth - 263;
	GvY = ScreenHeight - 432;
	SPR_Draw( 0, GvX, GvY + 4, &gHUD.GetSpriteRect( fond ));
	FillRGBA( ScreenWidth - 32, GvY + 32, 4, 273, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	FillRGBA( GvX, GvY, 256, 32, Gm_HUD_COULEUR_VERT_3P, Gm_HUD_INTENSITE );
	gHUD.DrawHudString( GvX+10, GvY + 6, ScreenWidth, CHudTextMessage::BufferedLocaliseTextString( "#MSG_HUD_HELP_ICON_SCORE" ), 255, 255, 255 );
}