/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	arme_laser.h				*
*		27022002				*
\*******************************/

#ifndef ARME_LASER_H
#define ARME_LASER_H

#include "define_slot.h"

#ifdef Gd_ARME_LASER

#define Gm_LASER_FICHIER_MODEL_D		"models/armes/d_minicanon.mdl"
#define Gm_LASER_FICHIER_MODEL_R		"models/armes/r_snipe.mdl"
#define Gm_LASER_FICHIER_MODEL_P		"models/armes/p_fusil.mdl"
#define Gm_LASER_FICHIER_MODEL_V		"models/armes/v_snipe.mdl"
#define Gm_LASER_FICHIER_SON_TIRE		"weapons/laser/laser1.wav"

#define Gm_LASER_DOMMAGE				2
#define Gm_LASER_MUNITION				2
#define Gm_LASER_TEMPS_DEPLACEMENT		3.0

#define Gm_LASER_BALLE_VITESSE			2000
#define Gm_LASER_CADANCE_TIRE			0.1
#define Gm_LASER_NB_TIRE				30
#define Gm_LASER_PRECISION				25 // +0
#define Gm_LASER_ROCKET_GRAVITE			1
#define Gm_LASER_SENTIR_DOMMAGE			1

class GcLaser : public CBasePlayerWeapon
{
public:
	int GetItemInfo( ItemInfo *p );
	void Spawn( void );
	void Precache( void );
	BOOL Deploy( void );
	void Holster( void );
	void GfAttack1( void );
	void GfAttack2( void );
	void GfAttack0( void );	

private:
	void GfTire( void );

	int GvShell_i;
	short GvNbTire_i;
	short GvPreci_i;
	float GvTempsAnim_f;
	float GvTempsFDT_f;
//	float GvTempsTire_f;
	float GvTempsPreci_f;
};

enum
{
	Ga_LASER_IDLE = 0,
	Ga_LASER_DRAW,
	Ga_LASER_HOLSTER,
	Ga_LASER_TIRE
};

#endif
#endif // ARME_LASER_H