/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	arme_super_mouton.h			*
*		19122001				*
\*******************************/

#ifndef ARME_SUPER_MOUTON_H
#define ARME_SUPER_MOUTON_H

#include "define_slot.h"

#ifdef Gd_ARME_SUPER_MOUTON

#define Gm_SUPER_MOUTON_FICHIER_MODEL_P			"models/armes/p_super_mouton.mdl"
#define Gm_SUPER_MOUTON_FICHIER_MODEL_R			"models/armes/r_super_mouton.mdl"
#define Gm_SUPER_MOUTON_FICHIER_MODEL_V			"models/armes/v_super_mouton.mdl"
#define Gm_SUPER_MOUTON_FICHIER_SON_TIRE		"weapons/mouton/mouton1.wav"
#define Gm_SUPER_MOUTON_FICHIER_SPRITE_FUMEE	"sprites/smoke.spr"

#define Gm_SUPER_MOUTON_DOMMAGE					100
#define Gm_SUPER_MOUTON_MUNITION				1
#define Gm_SUPER_MOUTON_TEMPS_DEPLACEMENT		0

class GcSuperMouton : public CBasePlayerWeapon
{
public:
	int GetItemInfo(ItemInfo *p);
	void Spawn( void );
	void Precache( void );
	BOOL Deploy( void );
	void Holster( void );
	void GfAttack1( void );
	void GfAttack2( void );
	void GfAttack0( void );	

private:
	void GfTire( void );
	
	bool GvViewSave_b;
	float GvTempsAnim_f;
	float GvTempsFDT_f;
	float GvTireTemps_f;
};

enum
{
	Ga_SUPER_MOUTON_DRAW = 0,
	Ga_SUPER_MOUTON_IDLE,
	Ga_SUPER_MOUTON_TIRE
};

#endif
#endif //Gd_P_ARME_SUPER_MOUTON