/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	client_msg.h				*
*		14042002				*
\*******************************/

#ifndef CLIENT_MSG_H
#define CLIENT_MSG_H

extern int gmsgDeathMsg;
extern int gmsgScoreInfo;
extern int gmsgMOTD;
extern int gmsgGameMode;
extern int gmsgTeamInfo;
extern int gmsgCurWeapon;
extern int gmsgSayText;
// Groove - 14032002 - Msg avec UTIL_HudMessage( ), non utiliser dans WormsHL
extern int gmsgTextMsg;
// Groove - 14032002 - Indique la rcupration d'un item
//extern int gmsgItemPickup;
// Groove - 07052002 - Indique la rcupration d'une arme
extern int gmsgWeapPickup;
// Groove - 14032002 - Barre d'affichage d'es msg
extern int gmsgBarreMsg;
// Groove - 14032002 - Indicateur de temps
extern int gmsgTime ;
// Groove - 14032002 - Indicateur de score
extern int gmsgScore;
// Groove - 14032002 - Nombre de joueur qui n'ont pas fini leur tour.
extern int gmsgReste;
// Groove - 14032002 - Puissance progressive.
extern int gmsgPuissance;
// Groove - 14042002 - Croise.
extern int gmsgCroise;
// EurOPiuM - 21042002 - Msg du bille boket.
extern int gmsgBilleBocket;
// EurOPiuM - 21042002 - prise d'un item
extern int gmsgPrise;
// Groove - 22042002 - Communition
extern int gmsgCommunication;
// EurOPiuM - 16/06/02 - Profil
extern int gmsgProfil;
// EurOPiuM - 26/06/02 - Particles Lanceflamme
extern int gmsgLanceflamme;
// EurOPiuM - 26/06/02 - Particles Flamme
extern int gmsgFlamme;
// EurOPiuM - 24/07/02 - Particles Sainte
extern int gmsgSainte;
// EurOPiUM - 06/07/02 - Radar
extern int gmsgRadar;
// EurOPiuM - 22/08/02 - Particles Explosion standards
extern int gmsgExplosion;

// Groove - 12122001 - Les msg qui sert a rien sinon occup.
#define Gm_MSG_WORM_BLEU_VIC		  3
#define Gm_MSG_WORM_ROUGE_VIC		  4

#define Gm_MSG_BLEU_TOMBE_BLEU_01	 12
#define Gm_MSG_BLEU_TOMBE_ROUGE_01	 13
#define Gm_MSG_ROUGE_TOMBE_ROUGE_01	 14
#define Gm_MSG_ROUGE_TOMBE_BLEU_01	 15

#define Gm_MSG_ROUGE_MORT_01		 32
#define Gm_MSG_ROUGE_MORT_02		 33
#define Gm_MSG_ROUGE_MORT_03		 34
#define Gm_MSG_ROUGE_MORT_04		 35
#define Gm_MSG_ROUGE_MORT_05		 36
#define Gm_MSG_ROUGE_MORT_06		 37
#define Gm_MSG_ROUGE_MORT_07		 38
#define	Gm_MSG_BLEU_MORT_01			 39
#define	Gm_MSG_BLEU_MORT_02			 40
#define	Gm_MSG_BLEU_MORT_03			 41
#define	Gm_MSG_BLEU_MORT_04			 42
#define	Gm_MSG_BLEU_MORT_05			 43
#define	Gm_MSG_BLEU_MORT_06			 44
#define	Gm_MSG_BLEU_MORT_07			 45
#define Gm_MSG_ROUGE_NAGE_01		 64
#define Gm_MSG_ROUGE_NAGE_02		 65
#define Gm_MSG_ROUGE_NAGE_03		 66
#define Gm_MSG_ROUGE_NAGE_04		 67
#define Gm_MSG_BLEU_NAGE_01			 72
#define Gm_MSG_BLEU_NAGE_02			 73
#define Gm_MSG_BLEU_NAGE_03			 74
#define Gm_MSG_BLEU_NAGE_04			 75
#define Gm_MSG_ROUGE_STUPIDE_01		 80
#define Gm_MSG_ROUGE_STUPIDE_02		 81
#define Gm_MSG_ROUGE_STUPIDE_03		 82
#define Gm_MSG_ROUGE_STUPIDE_04		 83
#define Gm_MSG_BLEU_STUPIDE_01		 86
#define Gm_MSG_BLEU_STUPIDE_02		 87
#define Gm_MSG_BLEU_STUPIDE_03		 88
#define Gm_MSG_BLEU_STUPIDE_04		 89

#define Gm_MSG_ARME_GRENADE_TEMPS_1	100
#define Gm_MSG_ARME_GRENADE_TEMPS_2	101
#define Gm_MSG_ARME_GRENADE_TEMPS_3	102
#define Gm_MSG_ARME_GRENADE_TEMPS_4	103
#define Gm_MSG_ARME_GRENADE_TEMPS_5	104

#define Gm_MSG_CAISSE_MEGA_COMETTE					180
#define Gm_MSG_CAISSE_MEGA_MINE_1					181
#define Gm_MSG_CAISSE_MEGA_MINE_3					182
#define Gm_MSG_CAISSE_MEGA_MINE_5					183
#define Gm_MSG_CAISSE_MEGA_BARIL_1					184
#define Gm_MSG_CAISSE_MEGA_BARIL_3					185
#define Gm_MSG_CAISSE_MEGA_BARIL_5					186
#define Gm_MSG_CAISSE_MEGA_MORT_SUBITE				187
#define Gm_MSG_CAISSE_MEGA_MORT_SUBITE_TEAM			188
#define Gm_MSG_CAISSE_MEGA_BENEDICTION				189
#define Gm_MSG_CAISSE_MEGA_BENEDICTION_TEAM			190

#define Gm_MSG_CAISSE_AIR_STRIKE	200
#define Gm_MSG_CAISSE_BANANE		201
#define Gm_MSG_CAISSE_BATTE			202
#define Gm_MSG_CAISSE_BAZOOKA		203
#define Gm_MSG_CAISSE_CAMERA		204
#define Gm_MSG_CAISSE_CLUSTER		205
#define Gm_MSG_CAISSE_CROIX			206
#define Gm_MSG_CAISSE_DYNAMITE		207
#define Gm_MSG_CAISSE_FUSIL			208
#define Gm_MSG_CAISSE_GRAPPIN		209
#define Gm_MSG_CAISSE_GRENADE		210
#define Gm_MSG_CAISSE_HACHE			211
#define Gm_MSG_CAISSE_HELICO		212
#define Gm_MSG_CAISSE_JETPACK		213
#define Gm_MSG_CAISSE_KAMIKAZE		214
#define Gm_MSG_CAISSE_KAMEHA		215
#define Gm_MSG_CAISSE_LASER			216
#define Gm_MSG_CAISSE_MINE			217
#define Gm_MSG_CAISSE_MINICANON		218
#define Gm_MSG_CAISSE_MOLOTOV		219
#define Gm_MSG_CAISSE_MORTIER		220
#define Gm_MSG_CAISSE_MORVE			221
#define Gm_MSG_CAISSE_MOUTON		222
#define Gm_MSG_CAISSE_NAPALM		223
#define Gm_MSG_CAISSE_PIGEON		224
#define Gm_MSG_CAISSE_SAINTE		225
#define Gm_MSG_CAISSE_SNIPE			226
#define Gm_MSG_CAISSE_SUPER_MOUTON	227
#define Gm_MSG_CAISSE_TELEPORTEUR	228
#define Gm_MSG_CAISSE_TRIDENT		229

#define Gm_MSG_CAISSE_VIE_025		240
#define Gm_MSG_CAISSE_VIE_050		241
#define Gm_MSG_CAISSE_VIE_100		242

#define Gm_MSG_CAISSE_OUTIL_GRAVITE_1	245
#define Gm_MSG_CAISSE_OUTIL_GRAVITE_2	246
#define Gm_MSG_CAISSE_OUTIL_VITESSE_1	247
#define Gm_MSG_CAISSE_OUTIL_VITESSE_2	248
#define Gm_MSG_CAISSE_OUTIL_LASER		249
#define Gm_MSG_CAISSE_OUTIL_INVISIBLE	250
#define Gm_MSG_CAISSE_OUTIL_DOMMAGE_2X	251
#define Gm_MSG_CAISSE_OUTIL_DOMMAGE_3X	252

//#define Gm_MSG_INI_SCORE			250 Groove - 12122001 - opsolette

#endif // CLIENT_MSG_H
