/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	game.h						*
*		25032002				*
\*******************************/

#ifndef GAME_H
#define GAME_H

extern void GameDLLInit( void );

// Groove - 14032002 - Commande pour faire varier la qualite du graphisme de WormsHL
// Groove - 25032002 - Lumire dynamique
extern short GvQDLightCMD_i;
// Groove - 14032002 - Flash
extern short GvQFlashCMD_i;
// Groove - 14032002 - Fumee
extern short GvQSmokeCMD_i;
// Groove - 14032002 - Trainee
extern short GvQTrailCMD_i;
// Groove - 25032002 - Douille
extern short GvQDouilleCMD_i;
// Groove - 08052002 - Autoriser les attack arienne ou pas.
extern bool bGvAirAttack;

extern cvar_t	displaysoundlist;

extern cvar_t	fragsleft;
extern cvar_t	fraglimit;
extern cvar_t	timelimit;
extern cvar_t	friendlyfir;
extern cvar_t	falldamage;
extern cvar_t	weaponstay;
extern cvar_t	forcerespaw;
extern cvar_t	flashlight;
extern cvar_t	aimcrosshair;
extern cvar_t	decalfrequency;
extern cvar_t	teamlist;
extern cvar_t	teamoverride;
extern cvar_t	defaultteam;
// Groove - 21112001 - Le temps qu'il reste a jouer, pr mort subite
extern cvar_t	GvTimeLeftCMD;

// Engine Cvars
extern cvar_t	*g_psv_gravity;
extern cvar_t	*g_psv_aim;
extern cvar_t	*g_footsteps;

// Groove - 14032002 - Dur d'un tour
extern cvar_t GvTempsTourCMD;
// Groove - 13122001 - Commande pour le nombres de rounds pour gagner une partie
extern cvar_t GvRoundsCMD;
// Groove - 13122001 - Commande pour le nombres de points pour gagner un round
extern cvar_t GvPointsCMD;
// Groove - 13122001 - Un caisse tous les X tours
extern cvar_t GvBoxCMD;
// Groove - 25022002 - Commande pour autoris les sauts en fin de tour.
//extern cvar_t GvJumpCMD =		{ "wm_jump", "0", FCVAR_SERVER };
// Groove - 28022002 - Commande pour la probabilit de sapwn d'une mine
extern cvar_t GvMineCMD;
// Groove - 28022002 - Commande pour la probabilit de sapwn d'un baril
extern cvar_t GvBarilCMD;
// Groove - 24042002 - Temps de mort subite avant la fin de la partie.
extern cvar_t GvMortSubiteCMD;
// Groove - 24042002 - Commande pour la choisir les points de vie des Worms.
extern cvar_t GvWormVieCMD;
// Groove - 10082002 - Commande pour la choisir la puissance du vent
extern cvar_t GvWormVentCMD;
// Groove - 11/08/2002 - Porter du radar.
extern cvar_t GvRadarCMD;
// Groove - 11/08/2002 - Vitesse de monter de l'eau.
extern cvar_t GvWaterCMD;

// Groove - 14032002 - Commande d'activation des armes
extern cvar_t GvAirStrikeOnCMD;
extern cvar_t GvBananeOnCMD;
extern cvar_t GvBatteOnCMD;
extern cvar_t GvBazookaOnCMD;
extern cvar_t GvCameraOnCMD;
extern cvar_t GvClusterOnCMD;
extern cvar_t GvCroixOnCMD;
extern cvar_t GvDynamiteOnCMD;
extern cvar_t GvFusilOnCMD;
extern cvar_t GvGrappinOnCMD;
extern cvar_t GvGrenadeOnCMD;
extern cvar_t GvHacheOnCMD;
extern cvar_t GvJetpackOnCMD;
extern cvar_t GvKameaOnCMD;
extern cvar_t GvKamikazeOnCMD;
extern cvar_t GvMineOnCMD;
extern cvar_t GvMinicanonOnCMD;
extern cvar_t GvMolotovOnCMD;
extern cvar_t GvMortierOnCMD;
extern cvar_t GvMorveOnCMD;
extern cvar_t GvMoutonOnCMD;
extern cvar_t GvNapalmOnCMD;
extern cvar_t GvPheonixOnCMD;
extern cvar_t GvPigeonOnCMD;
extern cvar_t GvSainteOnCMD;
extern cvar_t GvSnipeOnCMD;
extern cvar_t GvSuperMoutonOnCMD;
extern cvar_t GvTeleporteurOnCMD;
extern cvar_t GvTridentOnCMD;

#endif		// GAME_H
