/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	gamerules_mode_group.h		*
*		13122001				*
\*******************************/

#ifndef GAMERULES_ACTION_H
#define GAMERULES_ACTION_H

class GcGamerulesAction : public CHalfLifeTeamplay
{
	// Groove - 21112001 - spawn du joueur pr mode de jeu normale
	virtual void PlayerSpawn( CBasePlayer *pPlayer );
	virtual void GfWormsBleuxTPT( CBasePlayer *pPlayer );
	virtual void GfWormsRougesTPT( CBasePlayer *pPlayer );
	virtual void GfTempsTPT( CBasePlayer *pPlayer );

	// Groove - 22112001 - Indique le type de jeu en cour
	virtual short iGfGamerulesActif( void ){ return Gm_GAMERULES_ACTION; };
	// Groove - 22112001 - defini si le spawn des caisses est actif ou non
	virtual bool bGfCaisseCanSpawn( void ){ return true; };
	// Groove - 25042002 - Marque des points avec les kills
	virtual bool bGfScoreKill( void ){ return true; }
	// Groove - 25042002 - Spawn par group ou commun
	virtual bool bGfSpawnGroup( void ){ return true; }
	// Groove - 13122001 - Spawn des tombes
	virtual bool bGfTombeCanSpawn( void ){ return false; }
};

#endif // GAMERULES_ACTION_H