/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	gamerules_mode_controle.h	*
*		17042002				*
\*******************************/

#ifndef GAMERULES_CONTROLE_H
#define GAMERULES_CONTROLE_H

class GcGamerulesControle : public CHalfLifeTeamplay
{
private:
	// Groove - 22112001 - Indique le type de jeu en cour
	virtual short iGfGamerulesActif( void );
	// Groove - 22112001 - defini si le spawn des caisses est actif ou non
	virtual bool bGfCaisseCanSpawn( void );
	// Groove - 25042002 - Marque des points avec les kills
	virtual bool bGfScoreKill( void );
	// Groove - 25042002 - Spawn par group ou commun
	virtual bool bGfSpawnGroup( void );
	// Groove - 13122001 - Spawn des tombes
	virtual bool bGfTombeCanSpawn( void );
};

#endif // GAMERULES_CONTROLE_H