/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	generic_spot.cpp			*
*		08052002				*
\*******************************/

#include "extdll.h"
#include "util.h"
#include "cbase.h"
#include "generic_spot.h"

// Groove - 15012002 - Laser dot
LINK_ENTITY_TO_CLASS( laser_spot, CLaserSpot );

CLaserSpot *CLaserSpot::CreateSpotBleu( void )
{
	CLaserSpot *pSpot = GetClassPtr(( CLaserSpot *)NULL );
	pSpot->Spawn( );
	SET_MODEL( ENT( pSpot->pev ), Gm_LASER_FICHIER_SPRITE_DOT_BLEU );
	return pSpot;
}

CLaserSpot *CLaserSpot::CreateSpotRouge( void )
{
	CLaserSpot *pSpot = GetClassPtr(( CLaserSpot *)NULL );
	pSpot->Spawn( );
	SET_MODEL( ENT( pSpot->pev ), Gm_LASER_FICHIER_SPRITE_DOT_ROUGE );
	return pSpot;
}

void CLaserSpot::Spawn( void )
{
//	pev->classname = MAKE_STRING( "laser_spot" );
	pev->movetype = MOVETYPE_NONE;
	pev->solid = SOLID_NOT;

	pev->rendermode = kRenderGlow;
	pev->renderfx = kRenderFxNoDissipation;
	pev->renderamt = 255;

	UTIL_SetOrigin( pev, pev->origin );
};

void CLaserSpot::Suspend( float flSuspendTime )
{
	pev->effects |= EF_NODRAW;
	
	SetThink( Revive );
	pev->nextthink = gpGlobals->time + flSuspendTime;
}

void CLaserSpot::Revive( void )
{
	pev->effects &= ~EF_NODRAW;
	SetThink( NULL );
}
