/*******************************\
*	WormsHL						*
*		www.wormshl.fr.st		*
*								*
*	Groove						*
*		groove@wormshl.net		*
*								*
*	player_sons.h				*
*		14032002				*
\*******************************/

#ifndef PLAYER_SONS_H
#define PLAYER_SONS_H

// Groove - 09122001 - Sons du TPT
#define Gf_SOUND_JEU_BELL_01				"jeu/bell1.wav"
#define Gf_SOUND_JEU_GONG_01				"jeu/gong1.wav"
#define Gf_SOUND_JEU_VITE_01				"jeu/vite1.wav"

#define Gf_SOUND_DOMMAGE_EXPLOSE_01			"player/dommage/explose1.wav"
#define Gf_SOUND_DOMMAGE_EXPLOSE_02			"player/dommage/explose2.wav"

#define Gf_SOUND_JEU_CAISSE_SPAWN_01		"items/caisse_spawn1.wav"

// Groove - 19022002 - sons armes
#define Gf_SOUND_ARMES_PUISSANCE_01			"weapons/commun/puissance1.wav"

// Groove - 25022002 - Relatif au spawn des caisses
#define Gf_SOUND_JEU_CAISSE_ARME_01			"items/caisse_arme1.wav"
#define Gf_SOUND_JEU_CAISSE_MEGA_01			"items/caisse_mega1.wav"
#define Gf_SOUND_JEU_CAISSE_OUTIL_01		"items/caisse_outil1.wav"
#define Gf_SOUND_JEU_CAISSE_VIE_01			"items/caisse_vie1.wav"
#define Gf_SOUND_JEU_CAISSE_SPAWN_01		"items/caisse_spawn1.wav"
#define Gf_SOUND_JEU_CAISSE_CHUTE_01		"items/caisse_chute1.wav"

// Groove - 06122001 - Sons d'ambiances
#define Gf_SOUND_AMBIANCE_ATTACK_01			"player/ambiance/attack01.wav"
#define Gf_SOUND_AMBIANCE_ATTACK_02			"player/ambiance/attack02.wav"
#define Gf_SOUND_AMBIANCE_ATTACK_03			"player/ambiance/attack03.wav"
#define Gf_SOUND_AMBIANCE_ATTACK_04			"player/ambiance/attack04.wav"
#define Gf_SOUND_AMBIANCE_ATTACK_05			"player/ambiance/attack05.wav"
#define Gf_SOUND_AMBIANCE_ATTACK_06			"player/ambiance/attack06.wav"
#define Gf_SOUND_AMBIANCE_ATTACK_07			"player/ambiance/attack07.wav"
#define Gf_SOUND_AMBIANCE_ATTACK_08			"player/ambiance/attack08.wav"
#define Gf_SOUND_AMBIANCE_ATTACK_09			"player/ambiance/attack09.wav"

#define Gf_SOUND_AMBIANCE_OUSTE_01			"player/ambiance/ouste01.wav"
#define Gf_SOUND_AMBIANCE_OUSTE_02			"player/ambiance/ouste02.wav"

#define Gf_SOUND_AMBIANCE_RIEN_01			"player/ambiance/rien01.wav"
#define Gf_SOUND_AMBIANCE_RIEN_02			"player/ambiance/rien02.wav"
#define Gf_SOUND_AMBIANCE_RIEN_03			"player/ambiance/rien03.wav"
#define Gf_SOUND_AMBIANCE_RIEN_04			"player/ambiance/rien04.wav"
#define Gf_SOUND_AMBIANCE_RIEN_05			"player/ambiance/rien05.wav"
#define Gf_SOUND_AMBIANCE_RIEN_06			"player/ambiance/rien06.wav"
#define Gf_SOUND_AMBIANCE_RIEN_07			"player/ambiance/rien07.wav"
#define Gf_SOUND_AMBIANCE_RIEN_08			"player/ambiance/rien08.wav"
#define Gf_SOUND_AMBIANCE_RIEN_09			"player/ambiance/rien09.wav"
#define Gf_SOUND_AMBIANCE_RIEN_10			"player/ambiance/rien10.wav"
#define Gf_SOUND_AMBIANCE_RIEN_11			"player/ambiance/rien11.wav"
#define Gf_SOUND_AMBIANCE_RIEN_12			"player/ambiance/rien12.wav"
#define Gf_SOUND_AMBIANCE_RIEN_13			"player/ambiance/rien13.wav"
#define Gf_SOUND_AMBIANCE_RIEN_14			"player/ambiance/rien14.wav"
#define Gf_SOUND_AMBIANCE_RIEN_15			"player/ambiance/rien15.wav"

#define Gf_SOUND_AMBIANCE_TRAITRE_01		"player/ambiance/traitre01.wav"
#define Gf_SOUND_AMBIANCE_TRAITRE_02		"player/ambiance/traitre02.wav"

// Groove - 09122001 - Dommage subite pas le joueur
#define Gf_SOUND_DOMMAGE_CHUTE_01			"player/dommage/chute1.wav"
#define Gf_SOUND_DOMMAGE_CHUTE_02			"player/dommage/chute2.wav"
#define Gf_SOUND_DOMMAGE_CHUTE_03			"player/dommage/chute3.wav"
#define Gf_SOUND_DOMMAGE_COEUR_01			"player/dommage/coeur1.wav"
#define Gf_SOUND_DOMMAGE_ACIDE_01			"player/dommage/dmg_acide1.wav"
#define Gf_SOUND_DOMMAGE_ACIDE_02			"player/dommage/dmg_acide2.wav"
#define Gf_SOUND_DOMMAGE_EAU_01				"player/dommage/dmg_eau1.wav"
#define Gf_SOUND_DOMMAGE_EAU_02				"player/dommage/dmg_eau2.wav"
#define Gf_SOUND_DOMMAGE_EAU_03				"player/dommage/dmg_eau3.wav"
#define Gf_SOUND_DOMMAGE_EAU_04				"player/dommage/dmg_eau4.wav"
#define Gf_SOUND_DOMMAGE_LAVE_01			"player/dommage/dmg_lave1.wav"
#define Gf_SOUND_DOMMAGE_LAVE_02			"player/dommage/dmg_lave2.wav"
#define Gf_SOUND_DOMMAGE_MALADE_01			"player/dommage/malade1.wav"
#define Gf_SOUND_DOMMAGE_MALADE_02			"player/dommage/malade2.wav"
#define Gf_SOUND_DOMMAGE_MALADE_03			"player/dommage/malade3.wav"
#define Gf_SOUND_DOMMAGE_MALADE_04			"player/dommage/malade4.wav"

// Groove - 06122001 - Mouvement du joueur
#define Gf_SOUND_PLAYER_MOVE_JUMP_01		"player/mouvement/jump1.wav"
#define Gf_SOUND_PLAYER_MOVE_JUMP_02		"player/mouvement/jump2.wav"

// Groove - 09122001 - victoire
#define Gf_SOUND_VICTOIRE_01				"player/victoire/victoire1.wav"
#define Gf_SOUND_VICTOIRE_02				"player/victoire/victoire2.wav"
#define Gf_SOUND_VICTOIRE_03				"player/victoire/victoire3.wav"

#endif //PLAYER_SONS_H
